2009-05-05 netcelli (0.9.8e)
	 * Fixed a possible crash
	 * Re-added hub_version variable
	 * Fixed a crash on FreeBSD with pluginterface

2009-05-16 netcelli (0.9.8e)

	 * Fixed possible reg exploit if an user is admin
	 * Added OS detection in configure script
	 * Removed trigger execution (it doesn't work very well and it's not secure)
	 * Send $BassPass only if user is really regged
	 * Change max length of send_as column to 25
	 * !getip, !getinfo, !gethost, !hidekick and !unhidekick return same info 2 times if the argument is followed by a space
	 * Added frequency meaning (thx to Seth)
	 * Check if $Key is already sent
	 * Don't report wrong password if user is not regged
	 * Call OnUserLogout when user is really logged in
	 * Detect BotINFO extension and check if that extension is set when an user sends $BotINFO
	 * Force !ccbc argument to be upper case and sent a message back to user when message is sent
	 * Fixed CC zone limit bug (thx to T@R@24): OP cannot enter if CC zone limit was set
	 *  Removed hub_version variable because not used anymore
	 * Fixed configure script error
	 * Removed !flood command: it's not useful and block the hub
	 * Fixed output for !gc [file] command (where file is the value of file column in SetupList table; default is config)
	 * Added message for !hublist command
	 * Removed !proto*_any cmd
	 * Fixed opchat and hubsecurity registration: it was possible to reg both of them
	 * Fix: connection was not closed if user sends password before nick
	 * Do not send $ForceMove if there is no redirect
	 * Nick column length was always set to 30. Now it uses the value of max_nick variable
	 * Fixed triggers exploit :
	 * It's impossible to trigger files outside VerliHub config folder
	 * dbconfig file can't be triggered
	 * Added GetPath, FilterPath and ExpandPath method
	 * Regenerated configure and Makefile scripts again because I forget to remove diakritika plug from configure.ini
	 * Fixed mispelling in cchatconsole.cpp
	 * Moved diaktritika plugin outside Verlihub core
	 * Fixed leading zero in %[ss],%[mm], %[DD], %[MM] and %[HH] variables for triggers
	 * Fix: !(add|mod)conntype doesn't work if -d option is set
	 * Added !whocc command
	 * Added custom redirect on invalid key
	 * Added drop_invalid_key variable; now VerliHub checks invalid keys
	 * Fixed NMDC encoding function
	 * Added disable_report_cmds variable (default value 0) to disable reports
	 * Added !serverinfo cmd
	 * Added !regsearch cmd
	 * Added HubINFO in $Support
	 * Fixed tag_max_hs_ratio that was never replaced
	 * Fixed mail ban
	 * Added mysql autoreconnection option
	 * Fixed wrong MYSQL SOCKET (now set with MYSQL_UNIX_PORT)
	 * Fix: reg_op was never set if the user regs with autoreg
	 * Added UTF8 support
	 * Fixed and extented vh_runhub script; vh_restart is deprecated
	 * Added new config variables: int_search_reg_pass, min_share_use_hub_reg, min_share_use_hub_vip (thk to Raider)
	 * Added OnDelReg event handler function
	 * Added OnNewReg event handler function
	 * Added OnUnBan event handler function
	 * Added OnNewBan event handler function
	 * Added OnHubName event handler function
	 * Patched for GCC >=4.3.
	 * Fixed socket for WIN32
	 * Fix: bc_reply was automatically set to robot nick that just sent a bc
	 * Removed email ban
	 * Fixed share ban
	 * Fixed IP-Range and CC zones
	 * Fixed password_min_len that was always set to 6
	 * Fix: tag_min and max version variables never worked with DGUI client
	 * Fix: converted tag_min_version_* from int to double
	 * Fixed !regdisable that never worked; it's also impossible to disable master accounts
	 * Fixed syntax error for reg commands
	 * Fix: plug replacer path was wrong
	 * Fixed wrong value replace for %[YY] variable
	 * Fixed wrong usercount value showed with !hubinfo command
	 * Fixed a crash if verlihub tries to load  plugin with no path set
	 * Fixed !addplug command that crashes the hub if no options are provided
	 * Fixed of addding and removing of master users with AddRegUser and DelRegUser API
	 * Make -p option mandatory or hub may crash because it tries to load a non-existing plugin
	 * Updated !*plug help if the command is wrong
	 * Fixed wrong regex for !add/modplug command
	 * Fixed share and bw conversion for !hubinfo command (thx to Intruder)
	 * Fixed syntax error for !hubinfo output (thx to Intruder)
	 * Custom redirect (!add/mod/delredirect)
	 * Added !hcmd (this will help owner for ex. with triggers and custom redirects)
	 * Fixed random redirect because pseudo-random number generator was never re-initialized with a valid seed
	 * Added custom redirect(!add/mod/delredirect)
	 * Fix: Master class is now immune from kick and ban
	 * Added GetTempRights
	 * Added DelRegUser API
	 * Added AddRegUser API
	 * Fixed hide share (now it blocks the user to download filelist)
	 * Renamed few API functions because it makes confusion
	 * Added GetVerliPath API
	 * Added GetTotalShareSize API
	 * Added Ban API that was never implemented
	 * Fixed GetConfig API that returned a wrong value if config variable is empty (thx to Rolex and Frog)
	 * Fixed SendDataToAll API that ignored min class and max class variables (thx to Rolex)
	 * Added GetUserCC API for Lua Plugin
	 * Fix: Verlihub replaces the IP in $ConnectToMe request if IP is wrong. This fix WAN to WAN and LAN to LAN connections and no drop because of wrong IP in client settings
	 * Fix: Impossible to kick,ban or drop pinger if it is registred with class -1 (thx to Rolex)
	
2006-03-30 chaos/netcelli

	 * Added !guests !vips !admins !masters cmds:
	 * Change Bad nick msgs:

2006-03-29 chaos/netcelli

	 * Added report to opchat if an user regs himself with autoreg function:
	 * Change Bad nick msgs:

2006-03-05 chaos/netcelli

	* Added topic mod class control:
	* Added mainchat class control:
	* Added plugin mod class control:
	* Added usr cmd switch:
	* Added me cmd switch:
	* Added regme cmd switch:
	* Added max extra vips:
	* Added min class use hub passive control:
	* Changed max nick field to 64 chars, updated ban tables to relflect:
	* Adjusted the default install setup vars:
	* Fixed min share vips:
	* Added min/max share for classes 1 2 and 3:
	* Temp fix for classdiff reg admin hack - more todo o this:
	* Added apex dc tag and zion tag:
	* Changed the ouput look of !gc:
	* Updated the default .sql file entries for pingers and client types:
	* Updated some docs to reflect projects new urls:
	* Added delayed ping:
	* Fixed classdif reg bug:
	* Added new hublist feature category:
	* Changed the ctm, rctm and active search checker:
	* Added passive int search:
	* Added further nicklist optimisation variable in the form of speed colum which would work the same way as the email and desc columns:
	* Added a basic hideshare for regs feature:
	* Fixed pinger problem with min_share_reg:
	* Remove space between hubname and topic:
	* Added current users count in welcome message:
	* Updated Verli documentation but more things to do:
	


2004-04-22  verliba
	* TODO 1.24:
	* src/casyncconn.cpp 1.57:
	* src/cbanlist.cpp 1.54:
	* src/cdcconf.cpp 1.57:
	* src/cdcconf.h 1.45:
	* src/cdcconsole.cpp 1.108:
	* src/cdcproto.cpp 1.93:
	* src/cdctag.cpp 1.21:
	* src/cdctag.h 1.13:
	* src/creguserinfo.cpp 1.13:
	* src/cserverdc.cpp 1.122:
	* src/cserverdc.h 1.65:
	* src/ctrigger.cpp 1.6:
	* src/ctrigger.h 1.6:
	* src/ctriggers.cpp 1.12:
	* src/ctriggers.h 1.9:
	* src/cuser.cpp 1.30:
	* src/dllmain.cpp 1.2:
	* verlihub.dsw 1.2:
		* PM flood, fix timein
		+ conn close reasons
		+ wellcome messages
		+ A/P/5 insertion into desc
		+ triggers PM flag

	* src/cserverdc.cpp 1.121:
		increase the timeout for KEY

2004-04-21  verliba
	* src/cdctag.cpp 1.20:
		dcgui upload limiter anomaly is taken care of now on..

	* Makefile.am 1.15:
	* Makefile.in 1.23:
	* src/ccallbacklist.cpp 1.6:
	* src/ccallbacklist.h 1.8:
	* src/cdcproto.cpp 1.92:
	* src/curr_date_time.h 1.88:
	* src/cvhpluginmgr.h 1.15:
		 fix plugin stuff

	* src/cdcconsole.cpp 1.107:
	* src/creguserinfo.cpp 1.12:
	* src/curr_date_time.h 1.87:
		 fix crypt salt creation

	* src/cdcconsole.cpp 1.106:
	* src/cdcproto.cpp 1.91:
	* src/cserverdc.cpp 1.120:
	* src/cserverdc.h 1.64:
	* src/curr_date_time.h 1.86:
	* src/cvhplugin.h 1.15:
	* src/cvhpluginmgr.h 1.14:
		add OnTimer trigger

2004-04-15  verliba
	* src/cdcproto.cpp 1.90:
	* src/cserverdc.cpp 1.119:
	* src/cserverdc.h 1.63:
	* src/curr_date_time.h 1.85:
	* src/cvhplugin.h 1.14:
	* src/cvhpluginmgr.h 1.13:
		adding OnUserLogin callback

2004-04-07  verliba
	* src/cban.cpp 1.17:
	* src/cban.h 1.21:
	* src/cbanlist.cpp 1.53:
	* src/cbanlist.h 1.23:
	* src/cconfigfile.cpp 1.10:
	* src/cconndc.cpp 1.34:
	* src/cconndc.h 1.27:
	* src/cdbconf.cpp 1.5:
	* src/cdbconf.h 1.4:
	* src/cdcconf.cpp 1.56:
	* src/cdcconf.h 1.44:
	* src/cdcconsole.cpp 1.105:
	* src/cdcproto.cpp 1.89:
	* src/cserverdc.cpp 1.118:
	* src/cserverdc.h 1.62:
	* src/curr_date_time.h 1.84:
		+add multilang support

	* plugins/diakritika/Makefile.in 1.2:
	* plugins/perl/Makefile.am 1.6:
	* plugins/perl/Makefile.in 1.11:
	* plugins/perl/cpiperl.cpp 1.5:
	* plugins/perl/script_interface.cpp 1.4:
	* src/cbanlist.cpp 1.52:
	* src/cconfmysql.cpp 1.20:
	* src/cconfmysql.h 1.17:
	* src/cconndc.cpp 1.33:
	* src/cdcconf.cpp 1.55:
	* src/cdcconf.h 1.43:
	* src/cdcconsole.cpp 1.104:
	* src/cdcproto.cpp 1.88:
	* src/ckicklist.cpp 1.10:
	* src/cpcre.cpp 1.14:
	* src/cpcre.h 1.8:
	* src/cserverdc.cpp 1.117:
	* src/cserverdc.h 1.61:
	* src/curr_date_time.h 1.83:
	* src/cuser.cpp 1.29:
	* src/cuser.h 1.39:
	* src/thasharray.h 1.18:
		few changes

2004-04-04  verliba
	* plugins/diakritika/README 1.1:
		readme

2004-04-02  verliba
	* src/cconndc.cpp 1.32:
	* src/cconndc.h 1.26:
	* src/cconnselect.h 1.18:
	* src/cdcconf.cpp 1.54:
	* src/cdcconf.h 1.42:
	* src/cdcproto.cpp 1.87:
	* src/cserverdc.cpp 1.116:
	* src/cserverdc.h 1.60:
	* src/cusercollection.cpp 1.15:
	* src/thasharray.h 1.17:
	* verlihub.dsp 1.9:
		few changes (incomplete)

2004-03-31  verliba
	* src/cdcconf.cpp 1.53:
	* src/cdcconf.h 1.41:
	* src/cdcconsole.cpp 1.102:
	* src/curr_date_time.h 1.81:
		\!proto*_* upgrade

	* src/cdcproto.cpp 1.86:
	* src/curr_date_time.h 1.82:
		user's kicking blah because: blah are hidden

	* src/cdcconsole.cpp 1.103:
		\!proto*_* rights

	* TODO 1.23:
	* src/cdcconf.cpp 1.51:
	* src/cdcconf.h 1.39:
	* src/cdctag.cpp 1.19:
	* src/cserverdc.cpp 1.113:
		upload limiter in kbps

	* src/cdcconf.cpp 1.52:
	* src/cdcconf.h 1.40:
	* src/cdcproto.cpp 1.84:
	* src/cserverdc.cpp 1.114:
	* src/curr_date_time.h 1.79:
	* src/cuser.cpp 1.28:
		maybe bugfix of hublist

	* src/cdcconsole.cpp 1.101:
	* src/cdcproto.cpp 1.85:
	* src/cserverdc.cpp 1.115:
	* src/cserverdc.h 1.59:
	* src/curr_date_time.h 1.80:
		the kick feedback on one line

2004-03-30  verliba
	* src/ccommand.h 1.9:
	* src/cdcconf.cpp 1.49:
	* src/cdcconf.h 1.37:
	* src/cdcconsole.cpp 1.100:
	* src/cdctag.cpp 1.17:
	* src/cdctag.h 1.12:
	* src/cpenaltylist.cpp 1.7:
	* src/cuser.h 1.37:
	* src/cvhpluginmgr.h 1.12:
		tag_min_version

	* src/cdcconf.cpp 1.50:
	* src/cdcconf.h 1.38:
	* src/cdcproto.cpp 1.83:
	* src/cdctag.cpp 1.18:
	* src/curr_date_time.h 1.78:
	* src/cuser.h 1.38:
		fix compliling error

2004-03-28  verliba
	* Makefile.am 1.14:
	* Makefile.in 1.22:
	* configure 1.28:
	* configure.in 1.26:
	* plugins/perl/Makefile.am 1.5:
	* plugins/perl/Makefile.in 1.10:
	* plugins/perl/cperlinterpreter.cpp 1.3:
	* plugins/perl/cpiperl.cpp 1.4:
	* src/ccmdr.cpp 1.6:
	* src/ccmdr.h 1.7:
	* src/ccommand.cpp 1.7:
	* src/ccommand.h 1.8:
	* src/cdcconf.cpp 1.48:
	* src/cdcconf.h 1.36:
	* src/cdcconsole.cpp 1.98:
	* src/cdcconsole.h 1.34:
	* src/cdcproto.cpp 1.82:
	* src/cpluginmanager.cpp 1.17:
	* src/cpluginmanager.h 1.8:
	* src/cserverdc.cpp 1.112:
	* src/cserverdc.h 1.58:
	* src/curr_date_time.h 1.76:
	* src/cuser.cpp 1.27:
	* src/cvhplugin.h 1.13:
	* src/cvhpluginmgr.h 1.11:
	* verlihub_config.in 1.1:
		added callbacks for OnUserCommand

	* TODO 1.22:
	* src/ccommand.cpp 1.6:
	* src/ccommand.h 1.7:
	* src/cdcconsole.cpp 1.97:
	* src/cdcconsole.h 1.33:
	* src/cpenaltylist.h 1.6:
	* src/cuser.cpp 1.26:
	* src/cuser.h 1.36:
		incomplete modifs

	* src/cdcconsole.cpp 1.99:
	* src/cpluginloader.h 1.5:
	* src/cpluginmanager.cpp 1.18:
	* src/cpluginmanager.h 1.9:
	* src/curr_date_time.h 1.77:
		plugreload

2004-03-26  verliba
	* scripts/regpinger 1.1:
		regpinger script

	* scripts/regpinger 1.2:
		fix bug

	* src/cdcproto.cpp 1.81:
		Userip2 supprts

2004-03-25  verliba
	* src/cuser.cpp 1.25:
		change min PM interval

	* src/cbanlist.cpp 1.50:
	* src/cbanlist.cpp 1.51:
	* src/ctime.cpp 1.17:
		*** empty log message ***

2004-03-24  verliba
	* src/cban.cpp 1.16:
	* src/cban.h 1.20:
	* src/cbanlist.cpp 1.49:
	* src/cdcconsole.cpp 1.96:
	* src/cserverdc.cpp 1.111:
	* src/curr_date_time.h 1.75:
		fixes in prefix and hostr1 bans

	* TODO 1.21:
	* src/cdcproto.cpp 1.79:
	* src/cserverdc.cpp 1.109:
	* src/cuser.cpp 1.23:
	* src/cuser.h 1.34:
		some robot improvments

	* src/cbanlist.cpp 1.48:
	* src/cbanlist.h 1.22:
	* src/cdcconsole.cpp 1.95:
	* src/cdcproto.cpp 1.80:
	* src/cdctag.cpp 1.16:
	* src/creglist.cpp 1.27:
	* src/creglist.h 1.14:
	* src/cserverdc.cpp 1.110:
	* src/cserverdc.h 1.57:
	* src/curr_date_time.h 1.74:
	* src/cuser.cpp 1.24:
	* src/cuser.h 1.35:
	* src/tcache.h 1.3:
		many unstable changes to test

2004-03-23  verliba
	* plugins/perl/cpiperl.cpp 1.2:
	* plugins/perl/cpiperl.h 1.2:
	* plugins/perl/script_interface.cpp 1.2:
		fix the global _cur_verlihub_server

	* plugins/diakritika/cpidia.cpp 1.5:
	* plugins/perl/Makefile.am 1.4:
	* plugins/perl/Makefile.in 1.9:
	* plugins/perl/cperlinterpreter.cpp 1.2:
	* plugins/perl/cperlinterpreter.h 1.2:
	* plugins/perl/cpiperl.cpp 1.3:
	* plugins/perl/cpiperl.h 1.3:
	* plugins/perl/script_interface.cpp 1.3:
	* plugins/perl/script_interface.h 1.1:
	* src/Makefile.am 1.48:
	* src/Makefile.in 1.41:
	* src/cbanlist.cpp 1.47:
	* src/cdctag.cpp 1.15:
	* src/cpluginloader.cpp 1.5:
	* src/cpluginloader.h 1.4:
	* src/creglist.cpp 1.26:
	* src/curr_date_time.h 1.73:
	* src/cuser.h 1.33:
		First protoype of libperl_pi.so

	* noapos_mysql 1.3:
		fix the mysql_config bug

	* plugins/diakritika/cpidia.cpp 1.4:
	* plugins/perl/Makefile.am 1.3:
	* plugins/perl/Makefile.in 1.8:
	* plugins/perl/cperlinterpreter.cpp 1.1:
	* plugins/perl/cperlinterpreter.h 1.1:
	* plugins/perl/cpiperl.cpp 1.1:
	* plugins/perl/cpiperl.h 1.1:
	* plugins/perl/script_interface.cpp 1.1:
	* src/cconndc.h 1.25:
	* src/cdcconsole.cpp 1.94:
	* src/cdcproto.cpp 1.77:
	* src/ctime.cpp 1.16:
	* src/curr_date_time.h 1.70:
		woking on perl scripting

	* src/curr_date_time.h 1.71:
		fix the project

	* src/Makefile.am 1.47:
	* src/Makefile.in 1.40:
	* src/curr_date_time.h 1.72:
		2nd try

2004-03-21  verliba
	* plugins/diakritika/cpidia.cpp 1.3:
		bugfix on startup, and bugfix on replace

2004-03-19  verliba
	* src/cban.cpp 1.15:
	* src/cbanlist.cpp 1.45:
	* src/ccmdr.cpp 1.5:
	* src/cconfigbase.cpp 1.16:
	* src/cdcproto.cpp 1.75:
	* src/cserverdc.cpp 1.106:
	* src/cserverdc.h 1.54:
	* src/cuser.cpp 1.22:
	* src/cvhplugin.h 1.11:
	* src/thasharray.h 1.16:
		add plugin callbacks

	* configure 1.27:
	* configure.in 1.25:
	* plugins/Makefile.am 1.4:
	* plugins/Makefile.in 1.9:
	* plugins/diakritika/Makefile.am 1.1:
	* plugins/diakritika/cdiacfg.cpp 1.1:
	* plugins/diakritika/cdiacfg.h 1.1:
	* plugins/diakritika/cpidia.cpp 1.2:
	* plugins/diakritika/cpidia.h 1.2:
	* src/curr_date_time.h 1.68:
		+ finish the diakritika plugin

	* src/cdcconsole.cpp 1.93:
	* src/cdcconsole.h 1.32:
	* src/cpluginmanager.cpp 1.15:
	* src/cpluginmanager.h 1.7:
	* src/cserverdc.cpp 1.107:
	* src/ctriggers.h 1.8:
		!plug* commands

	* src/cdcproto.cpp 1.76:
	* src/cserverdc.h 1.55:
	* src/cvhplugin.h 1.12:
	* src/cvhpluginmgr.h 1.10:
		add plugin callbacks for tag validation

	* plugins/test/cpitest.cpp 1.2:
	* src/cbanlist.cpp 1.46:
	* src/cpluginbase.h 1.5:
	* src/cpluginloader.cpp 1.4:
	* src/cpluginmanager.cpp 1.16:
	* src/curr_date_time.h 1.69:
		new commands !plug*

	* plugins/diakritika/Makefile.in 1.1:
		Makefile.in

2004-03-18  verliba
	* src/cdcproto.cpp 1.74:
	* src/cserverdc.h 1.53:
	* src/ctime.cpp 1.15:
	* src/cvhplugin.h 1.10:
	* src/cvhpluginmgr.h 1.9:
		add plugin callback OnParsedMsgChat

2004-03-17  verliba
	* src/cbanlist.cpp 1.43:
		fix the compiling error

	* docs/help 1.2:
		added some doc

	* docs/help 1.3:
	* src/cban.h 1.19:
	* src/cbanlist.cpp 1.44:
	* src/cdcconsole.cpp 1.92:
	* src/cdcproto.cpp 1.73:
	* src/cserverdc.cpp 1.105:
	* src/cuser.cpp 1.21:
		minor chnages

2004-03-16  verliba
	* TODO 1.18:
	* src/cdcconsole.cpp 1.91:
	* src/cserverdc.cpp 1.104:
	* src/ctriggers.h 1.7:
	* src/cuser.h 1.32:
		+ !nosearch !unnosearch
		+ !noctm !unnoctm

	* src/Makefile.am 1.46:
	* src/Makefile.in 1.39:
	* src/curr_date_time.h 1.67:
		fix project try 1

	* src/cuser.cpp 1.20:
	* src/cuser.h 1.31:
		fix searhc, dl bug

2004-03-15  verliba
	* src/cdcconf.cpp 1.44:
		merge

	* src/cdcconf.cpp 1.45:
	* src/cserverdc.cpp 1.101:
	* src/curr_date_time.h 1.66:
		fix compiling

	* src/cdcconf.cpp 1.46:
	* src/ctime.h 1.21:
	* src/cuser.cpp 1.19:
		+ timer_hublist_period
		+ timer_reloadcfg_period

	* src/cdcconf.cpp 1.47:
		*** empty log message ***

	* src/casyncsocketserver.cpp 1.49:
		listen mPOrt X port

	* src/casyncsocketserver.cpp 1.48:
	* src/cdcconf.cpp 1.43:
	* src/cserverdc.cpp 1.100:
	* src/cserverdc.h 1.52:
	* src/ctime.h 1.20:
	* verlihub.dsp 1.8:
		- fix the liste_port bug
		- fix the time_t conversion

	* src/cserverdc.cpp 1.103:
		- fix regban

	* src/cbanlist.cpp 1.42:
	* src/cconfigitembase.cpp 1.33:
		- bugfix saving "long" variables

2004-03-11  verliba
	* src/cdcproto.cpp 1.71:
	* src/cdcproto.h 1.14:
	* src/curr_date_time.h 1.64:
		compile fix

	* src/cdcconf.h 1.35:
		redir_host_max

	* src/cconndc.cpp 1.30:
		redir_host_max (the last redir_host_used) max is 10

	* config_geoip 1.3:
		fix it ;)

	* src/cserverdc.cpp 1.97:
		user's info

	* Makefile.am 1.13:
	* Makefile.in 1.21:
	* aclocal.m4 1.10:
	* config.h.in 1.13:
	* config_geoip 1.2:
	* configure 1.26:
	* configure.in 1.24:
	* docs/Makefile.in 1.2:
	* docs/configuring.txt 1.2:
	* lib/Makefile.am 1.4:
	* lib/Makefile.in 1.8:
	* plugins/Makefile.am 1.3:
	* plugins/Makefile.in 1.8:
	* plugins/perl/Makefile.am 1.2:
	* plugins/perl/Makefile.in 1.7:
	* plugins/test/Makefile.am 1.4:
	* plugins/test/Makefile.in 1.9:
	* scripts/Makefile.in 1.2:
	* scripts/runhub 1.5:
	* src/Makefile.am 1.45:
	* src/Makefile.in 1.38:
	* src/cdcconsole.cpp 1.89:
	* src/cdctag.cpp 1.12:
	* src/cdctag.h 1.11:
	* src/cinfoserver.cpp 1.9:
	* src/cserverdc.cpp 1.95:
	* src/cserverdc.h 1.50:
	* src/curr_date_time.h 1.63:
	* src/verlihub.cpp 1.7:
	* verlihub.spec 1.4:
	* verlihub.spec.in 1.3:
		*** empty log message ***

	* src/casyncconn.cpp 1.55:
	* src/cconndc.cpp 1.31:
	* src/cdcconf.cpp 1.42:
	* src/cdcconsole.cpp 1.90:
	* src/cserverdc.cpp 1.99:
	* src/curr_date_time.h 1.65:
	* src/cuser.cpp 1.18:
		multihublist

	* src/cdcconf.cpp 1.40:
		hublist_send_minshare

	* TODO 1.17:
	* src/cdcproto.cpp 1.70:
	* src/cserverdc.cpp 1.96:
	* src/cuser.cpp 1.16:
	* verlihub.dsp 1.7:
		win changes

	* src/cserverdc.cpp 1.98:
	* src/cserverdc.h 1.51:
		multiple hublist host support space separated

	* src/cdcconf.cpp 1.41:
		step_delay default change to 50 (from 100), because it's faster

2004-03-09  verliba
	* Makefile.am 1.12:
	* Makefile.in 1.20:
	* configure 1.25:
	* configure.in 1.23:
	* docs/Makefile.am 1.1:
	* docs/Makefile.in 1.1:
	* scripts/Makefile.am 1.1:
	* scripts/Makefile.in 1.1:
	* src/Makefile.am 1.44:
	* src/curr_date_time.h 1.62:
	* verlihub.spec 1.3:
		more projects fixes

	* configure 1.24:
	* configure.in 1.22:
		CXXFLAGS

	* Makefile.am 1.11:
	* Makefile.in 1.19:
	* aclocal.m4 1.9:
	* configure 1.22:
	* configure.in 1.20:
	* lib/Makefile.in 1.7:
	* plugins/Makefile.in 1.7:
	* plugins/perl/Makefile.in 1.6:
	* plugins/test/Makefile.in 1.8:
	* src/Makefile.in 1.36:
	* src/cbanlist.cpp 1.40:
	* src/cbanlist.h 1.21:
	* src/curr_date_time.h 1.60:
	* verlihub.spec 1.1:
	* verlihub.spec.in 1.1:
		AM_MAINTAINER_MODE

	* plugins/perl/docs/perl_scripting.html 1.1:
		*** empty log message ***

	* TODO 1.16:
	* src/cban.h 1.18:
	* src/cbanlist.cpp 1.41:
	* src/cdcconsole.cpp 1.88:
	* src/cdcproto.cpp 1.69:
	* src/cserverdc.h 1.49:
	* src/ctriggers.cpp 1.11:
	* src/cuser.cpp 1.15:
	* src/cuser.h 1.29:
		syntax

	* configure 1.23:
	* configure.in 1.21:
	* src/Makefile.am 1.43:
	* src/Makefile.in 1.37:
	* src/curr_date_time.h 1.61:
	* verlihub.spec 1.2:
	* verlihub.spec.in 1.2:
		fix CXXFLAGS

2004-03-08  verliba
	* src/cban.h 1.17:
	* src/cbanlist.h 1.20:
	* src/ckick.h 1.12:
	* src/cpenaltylist.h 1.5:
	* src/creguserinfo.h 1.7:
	* src/cuser.h 1.28:
		remove time_t where possible

	* src/Makefile.am 1.41:
	* src/Makefile.in 1.33:
	* src/curr_date_time.h 1.57:
		select

	* Makefile.in 1.17:
	* config.h.in 1.9:
	* configure 1.18:
	* configure.in 1.16:
	* lib/Makefile.in 1.5:
	* plugins/Makefile.in 1.5:
	* plugins/perl/Makefile.in 1.4:
	* plugins/test/Makefile.in 1.5:
	* src/Makefile.in 1.31:
	* src/cconnpoll.h 1.13:
	* src/curr_date_time.h 1.53:
		poll.h

	* plugins/test/Makefile.am 1.3:
	* plugins/test/Makefile.in 1.6:
	* src/Makefile.am 1.40:
	* src/Makefile.in 1.32:
	* src/cmysql.h 1.11:
	* src/curr_date_time.h 1.54:
		configure and stuff

	* Makefile.cvs 1.2:
	* Makefile.in 1.15:
	* Makefile.in 1.18:
	* acinclude.m4 1.2:
	* aclocal.m4 1.8:
	* config.h.in 1.10:
	* config.h.in 1.11:
	* config.h.in 1.12:
	* configure 1.13:
	* configure 1.14:
	* configure 1.15:
	* configure 1.19:
	* configure 1.20:
	* configure 1.21:
	* configure.in 1.11:
	* configure.in 1.12:
	* configure.in 1.13:
	* configure.in 1.17:
	* configure.in 1.18:
	* configure.in 1.19:
	* lib/Makefile.am 1.3:
	* lib/Makefile.in 1.3:
	* lib/Makefile.in 1.6:
	* noapos 1.1:
	* noapos_mysql 1.1:
	* plugins/Makefile.in 1.3:
	* plugins/Makefile.in 1.6:
	* plugins/perl/Makefile.in 1.2:
	* plugins/perl/Makefile.in 1.5:
	* plugins/test/Makefile.in 1.3:
	* plugins/test/Makefile.in 1.7:
	* src/Makefile.am 1.39:
	* src/Makefile.am 1.42:
	* src/Makefile.in 1.29:
	* src/Makefile.in 1.34:
	* src/Makefile.in 1.35:
	* src/cbanlist.cpp 1.39:
	* src/cdcconf.cpp 1.39:
	* src/cdcproto.cpp 1.68:
	* src/cpcre.cpp 1.13:
	* src/cpluginmanager.cpp 1.13:
	* src/cpluginmanager.cpp 1.14:
	* src/cprotocommand.cpp 1.5:
	* src/ctrigger.h 1.5:
	* src/curr_date_time.h 1.49:
	* src/curr_date_time.h 1.50:
	* src/curr_date_time.h 1.51:
	* src/curr_date_time.h 1.55:
	* src/curr_date_time.h 1.56:
	* src/curr_date_time.h 1.58:
	* src/curr_date_time.h 1.59:
		*** empty log message ***

	* Makefile.in 1.16:
	* config.h.in 1.8:
	* config_geoip 1.1:
	* configure 1.17:
	* configure.in 1.15:
	* lib/Makefile.in 1.4:
	* noapos_mysql 1.2:
	* noapos_pcre 1.2:
	* plugins/Makefile.in 1.4:
	* plugins/perl/Makefile.in 1.3:
	* plugins/test/Makefile.in 1.4:
	* src/Makefile.in 1.30:
	* src/curr_date_time.h 1.52:
		geoip paths search

	* config.h.in 1.7:
	* configure 1.16:
	* configure.in 1.14:
	* noapos_pcre 1.1:
		<F3> auto search paths in configure

2004-03-07  verliba
	* plugins/perl/Makefile.am 1.1:
	* plugins/perl/Makefile.in 1.1:
	* plugins/perl/cperlscript.cpp 1.1:
	* plugins/perl/cperlscript.h 1.1:
		*** empty log message ***

2004-03-05  verliba
	* src/ctime.cpp 1.14:
		change time units notation ;)

2004-03-04  verliba
	* src/casyncconn.cpp 1.54:
		fix hublist bug

	* configure 1.12:
	* configure.in 1.10:
	* plugins/Makefile.am 1.2:
	* plugins/Makefile.in 1.2:
	* src/casyncconn.cpp 1.53:
	* src/cbanlist.cpp 1.37:
	* src/cdcconsole.cpp 1.86:
	* src/cdcconsole.h 1.31:
	* src/cdcproto.cpp 1.66:
	* src/cpenaltylist.h 1.4:
	* src/curr_date_time.h 1.48:
	* src/cuser.h 1.26:
		* fix gag+ungag

2004-03-03  verliba
	* src/cban.cpp 1.14:
		fix the junk data in banlnist in banrange columns

2004-02-29  verliba
	* docs/plugins_devel.html 1.1:
	* src/cdcproto.cpp 1.65:
	* src/cpcre.cpp 1.12:
	* src/cpluginmanager.cpp 1.12:
	* src/cprotocommand.cpp 1.4:
	* src/creglist.cpp 1.25:
	* src/creguserinfo.cpp 1.11:
	* src/cserverdc.cpp 1.93:
	* src/curr_date_time.h 1.47:
		* fix reglist bug
		* fix compiling typo

2004-02-27  verliba
	* src/cserverdc.cpp 1.92:
		fix the hublist total share bug

2004-02-26  verliba
	* src/casyncconn.cpp 1.52:
		add flags in noblocksock

2004-02-24  verliba
	* src/casyncconn.cpp 1.49:
	* src/casyncconn.h 1.32:
	* src/cconnchoose.h 1.32:
		blocking listen

	* acconfig.h 1.3:
	* configure 1.11:
	* configure.in 1.9:
	* src/Makefile.am 1.37:
	* src/Makefile.am 1.38:
	* src/Makefile.in 1.27:
	* src/Makefile.in 1.28:
	* src/casyncsocketserver.cpp 1.46:
	* src/casyncsocketserver.h 1.18:
	* src/cconnchoose.cpp 1.17:
	* src/cconnchoose.h 1.31:
	* src/cconnselect.cpp 1.11:
	* src/cconnselect.h 1.16:
	* src/cdcproto.cpp 1.64:
	* src/curr_date_time.h 1.44:
	* src/curr_date_time.h 1.45:
	* src/curr_date_time.h 1.46:
	* src/cuser.h 1.25:
	* src/cusercollection.cpp 1.14:
	* src/cusercollection.h 1.16:
		*** empty log message ***

2004-02-23  verliba
	* Makefile.in 1.14:
	* TODO 1.12:
	* config.h.in 1.6:
	* configure 1.10:
	* configure.in 1.8:
	* docs/features.html 1.2:
	* src/Makefile.am 1.36:
	* src/Makefile.in 1.26:
	* src/casyncconn.cpp 1.47:
	* src/casyncconn.h 1.31:
	* src/casyncsocketserver.h 1.16:
	* src/cban.cpp 1.13:
	* src/cban.h 1.16:
	* src/cbanlist.cpp 1.36:
	* src/cbanlist.h 1.18:
	* src/ccallbacklist.h 1.7:
	* src/ccmdr.cpp 1.4:
	* src/ccmdr.h 1.5:
	* src/ccommand.cpp 1.5:
	* src/ccommand.h 1.6:
	* src/cconfigbase.h 1.25:
	* src/cconfigitembase.cpp 1.31:
	* src/cconfigitembase.h 1.26:
	* src/cconfmysql.cpp 1.19:
	* src/cconfmysql.h 1.16:
	* src/cconnbase.h 1.7:
	* src/cconnchoose.h 1.29:
	* src/cconndc.h 1.24:
	* src/cconnpoll.h 1.12:
	* src/cconnselect.h 1.13:
	* src/cdcconf.cpp 1.37:
	* src/cdcconf.h 1.33:
	* src/cdcconsole.cpp 1.85:
	* src/cdcconsole.h 1.30:
	* src/cdcproto.cpp 1.63:
	* src/cdcproto.h 1.13:
	* src/cdctag.h 1.9:
	* src/cfreqlimiter.h 1.4:
	* src/cmeanfrequency.h 1.8:
	* src/cmessagedc.h 1.8:
	* src/cmysql.h 1.10:
	* src/cobj.cpp 1.7:
	* src/cparser.h 1.3:
	* src/cpcre.cpp 1.11:
	* src/cpenaltylist.h 1.3:
	* src/cpluginmanager.cpp 1.10:
	* src/cprotocommand.cpp 1.3:
	* src/cprotocommand.h 1.3:
	* src/creguserinfo.cpp 1.10:
	* src/cserverdc.h 1.47:
	* src/csetuplist.h 1.9:
	* src/ctime.cpp 1.13:
	* src/ctrigger.cpp 1.5:
	* src/ctrigger.h 1.4:
	* src/curr_date_time.h 1.42:
	* src/cuser.h 1.23:
	* src/cusercollection.h 1.15:
	* src/cvhplugin.h 1.9:
	* src/cvhpluginmgr.h 1.8:
	* src/dll.h 1.2:
	* src/thasharray.h 1.14:
		* some API documentation

	* src/cconnchoose.cpp 1.16:
	* src/cconnchoose.h 1.30:
	* src/curr_date_time.h 1.43:
		*** empty log message ***

	* TODO 1.13:
	* src/casyncconn.cpp 1.48:
	* src/casyncsocketserver.cpp 1.44:
	* src/ccmdr.h 1.6:
	* src/cconnselect.cpp 1.9:
	* src/cconnselect.h 1.14:
	* src/cinfoserver.h 1.4:
	* src/ctime.h 1.19:
	* src/cuser.h 1.24:
	* src/thasharray.h 1.15:
	* verlihub.dev 1.35:
	* verlihub.dsp 1.4:
		Selector iterator

2004-02-22  verliba
	* src/creglist.cpp 1.24:
		fix bug:
		by kikkel   Posted: Feb 22 2004, 12:14 AM
		
		When I type !regnew nickname hub crashes "Segmentation fault"
		0.9.7 alpha (Fri Feb 20 22:30:00 CET 2004) of VerliHub

2004-02-21  verliba
	* src/cserverdc.cpp 1.89:
		* fix the crash bug

2004-02-20  verliba
	* Makefile.in 1.13:
	* aclocal.m4 1.7:
	* config.h.in 1.5:
	* configure 1.8:
	* configure.in 1.6:
	* src/casyncconn.cpp 1.46:
	* src/ccmdr.h 1.4:
	* src/cinfoserver.h 1.3:
	* src/ctime.h 1.18:
	* src/curr_date_time.h 1.40:
		test

	* TODO 1.11:
	* scripts/install 1.10:
	* scripts/runhub 1.4:
	* scripts/trigger 1.4:
	* src/Makefile.am 1.35:
	* src/Makefile.in 1.25:
	* src/casyncconn.cpp 1.45:
	* src/cban.cpp 1.12:
	* src/cban.h 1.15:
	* src/cbanlist.cpp 1.35:
	* src/cbanlist.h 1.17:
	* src/cconndc.cpp 1.28:
	* src/cconndc.h 1.23:
	* src/cdcbanlist.h 1.8:
	* src/cdcconf.cpp 1.36:
	* src/cdcconf.h 1.32:
	* src/cdcconsole.cpp 1.84:
	* src/cdcconsole.h 1.29:
	* src/cdcproto.cpp 1.62:
	* src/cgeoip.cpp 1.3:
	* src/cmessagedc.cpp 1.7:
	* src/cpenaltylist.cpp 1.6:
	* src/cpenaltylist.h 1.2:
	* src/cquery.cpp 1.6:
	* src/creglist.cpp 1.23:
	* src/cserverdc.cpp 1.88:
	* src/cserverdc.h 1.46:
	* src/curr_date_time.h 1.38:
	* src/cuser.cpp 1.14:
	* src/cuser.h 1.22:
	* src/thasharray.h 1.13:
		* some ban rewrites
		* maybe fixes
		* whoip and whorange fix

	* configure 1.9:
		configs

	* plugins/Makefile.in 1.1:
	* src/curr_date_time.h 1.39:
		.

	* acinclude.m4 1.1:
	* configure.in 1.7:
	* src/curr_date_time.h 1.41:
		*** empty log message ***

2004-02-19  verliba
	* Makefile.am 1.10:
	* Makefile.in 1.12:
	* configure 1.7:
	* configure.in 1.5:
	* lib/Makefile.am 1.1:
	* lib/Makefile.am 1.2:
	* lib/Makefile.in 1.1:
	* lib/Makefile.in 1.2:
	* lib/libverlihub.cpp 1.1:
	* plugins/test/Makefile.am 1.2:
	* plugins/test/Makefile.in 1.2:
	* src/Makefile.am 1.34:
	* src/Makefile.in 1.24:
	* src/cserverdc.cpp 1.86:
	* src/curr_date_time.h 1.37:
		*** empty log message ***

	* scripts/install 1.9:
		* fix the right giving bug

	* TODO 1.10:
	* src/cbanlist.cpp 1.34:
	* src/cdcconf.cpp 1.35:
	* src/cdcconf.h 1.31:
	* src/cdcconsole.cpp 1.83:
	* src/cdcproto.cpp 1.61:
	* src/cmessagedc.cpp 1.6:
	* src/cmessagedc.h 1.7:
	* src/cserverdc.cpp 1.87:
	* src/cserverdc.h 1.45:
	* src/cuser.cpp 1.13:
	* src/cuser.h 1.21:
	* verlihub.dev 1.34:
		*several fixes

	* scripts/regnick 1.5:
		new -f switch

2004-02-18  verliba
	* src/tcache.h 1.1:
		add template for cache

	* src/Makefile.am 1.33:
	* src/cban.cpp 1.11:
	* src/cban.h 1.14:
	* src/cbanlist.cpp 1.33:
	* src/cbanlist.h 1.16:
	* src/cdcconsole.cpp 1.82:
	* src/cdcconsole.h 1.28:
	* src/creglistcache.cpp 1.4:
	* src/creglistcache.h 1.2:
	* src/curr_date_time.h 1.35:
		* add !banlist command, ugly usage
		* remove reglistcache class , replaced by a template tCache

	* Makefile.am 1.9:
	* Makefile.in 1.11:
	* aclocal.m4 1.6:
	* config.h.in 1.4:
	* configure 1.6:
	* src/Makefile.in 1.23:
	* src/creglist.cpp 1.22:
	* src/creglist.h 1.13:
	* src/curr_date_time.h 1.36:
	* src/tcache.h 1.2:
		* try making project better

	* configure.in 1.4:
		* detect needed installed libraries

	* Makefile.in 1.10:
	* aclocal.m4 1.5:
	* configure 1.5:
	* src/creglist.cpp 1.21:
	* src/creglist.h 1.12:
	* src/cserverdc.cpp 1.85:
		*** empty log message ***

	* src/cdcconsole.cpp 1.81:
		add  !protoactive and !protohello

	* docs/using.txt 1.2:
	* src/cdcconsole.cpp 1.80:
	* verlihub.dsp 1.3:
		* fix raw commands (rename to proto)
		* fiw !whoip

2004-02-17  verliba
	* TODO 1.9:
	* src/ccmdr.cpp 1.2:
	* src/ccmdr.h 1.3:
	* src/ccommand.h 1.5:
	* src/cdcconf.cpp 1.34:
	* src/cdcconf.h 1.29:
	* src/cdcconsole.cpp 1.75:
	* src/cdcconsole.h 1.27:
	* src/cdcproto.cpp 1.60:
	* src/cserverdc.cpp 1.81:
	* verlihub.dsp 1.2:
		fix 3 little bugs

	* src/cdcconsole.cpp 1.79:
	* src/cserverdc.cpp 1.84:
		persistent user protection, aplying immediately
		to kicks and redirects

	* src/creglistcache.cpp 1.2:
		fix bug

	* src/ccmdr.cpp 1.3:
	* src/cdcconf.h 1.30:
	* src/cserverdc.cpp 1.82:
	* src/curr_date_time.h 1.33:
		reglistcache

	* src/casyncconn.cpp 1.44:
	* src/casyncconn.h 1.30:
	* src/casyncsocketserver.cpp 1.43:
	* src/casyncsocketserver.h 1.15:
	* src/cconndc.cpp 1.27:
	* src/cconndc.h 1.22:
	* src/cdcconsole.cpp 1.78:
	* src/creglistcache.cpp 1.3:
	* src/cserverdc.cpp 1.83:
	* src/cserverdc.h 1.44:
	* src/ctimeout.h 1.5:
	* src/curr_date_time.h 1.34:
		set password timeout

	* TODO 1.8:
	* src/cdcconsole.cpp 1.76:
		*** empty log message ***

	* src/cbanlist.cpp 1.32:
	* src/cdcconsole.cpp 1.77:
		fix ban bug

2004-02-16  verliba
	* src/Makefile.am 1.32:
	* src/Makefile.in 1.22:
	* src/cdcconsole.cpp 1.74:
	* src/cdcconsole.h 1.26:
	* src/creglist.cpp 1.20:
	* src/creglist.h 1.11:
	* src/creglistcache.cpp 1.1:
	* src/creglistcache.h 1.1:
	* src/cserverdc.cpp 1.80:
	* src/curr_date_time.h 1.32:
	* src/thasharray.h 1.12:
		* experimental reglistchache
		* new comamnds enabled

	* src/cconfigitembase.cpp 1.30:
	* src/curr_date_time.h 1.31:
		* convert to long long

2004-02-15  verliba
	* src/cdcconsole.cpp 1.71:
	* src/cdcconsole.cpp 1.72:
	* src/cdcconsole.h 1.24:
	* src/cserverdc.cpp 1.78:
	* src/cusercollection.cpp 1.13:
	* src/cusercollection.h 1.14:
	* src/thasharray.h 1.11:
		few fixes

	* src/casyncconn.cpp 1.43:
	* src/ccmdr.h 1.2:
	* src/cconfigbase.cpp 1.15:
	* src/cconfigitembase.h 1.25:
	* src/cdcconsole.cpp 1.70:
	* src/cdcconsole.h 1.23:
	* src/curr_date_time.h 1.29:
		* new command

	* src/casyncsocketserver.cpp 1.42:
	* src/casyncsocketserver.h 1.14:
	* src/cdcconf.cpp 1.33:
	* src/cdcconf.h 1.28:
	* src/cdcconsole.h 1.25:
	* src/cdcproto.cpp 1.59:
	* src/creguserinfo.cpp 1.9:
	* src/cserverdc.cpp 1.79:
	* src/cserverdc.h 1.43:
	* src/curr_date_time.h 1.30:
		        * migrate !whoip to new parser
		        * add !whorange
		        * add !reginfo
		        * add extra_listen_ports
		        * fix !regnew <nick> <class> (class was ignored)
		        * modify parsing of some other stuff
		        * extend ip range parser

	* src/cdcconsole.cpp 1.73:
		* migrate !whoip to new parser
		* add !whorange
		* add !reginfo
		* add extra_listen_ports
		* fix !regnew <nick> <class> (class was ignored)
		* modify parsing of some other stuff
		* extend ip range parser

2004-02-14  verliba
	* src/cconfigbase.h 1.24:
	* src/cconfigitembase.cpp 1.29:
		finally should compile on all platforms (from the templates
		point of view)

	* src/cusercollection.h 1.13:
		default use hash array

	* src/cusercollection.cpp 1.12:
		default use of hash array

	* src/casyncconn.cpp 1.42:
	* src/cconfigitembase.cpp 1.28:
	* src/cconnchoose.cpp 1.15:
	* src/cconnchoose.h 1.28:
	* src/cdcproto.cpp 1.58:
	* src/cinfoserver.cpp 1.8:
	* src/cserverdc.cpp 1.77:
	* verlihub.dsp 1.1:
	* verlihub.dsw 1.1:
		winverlihub goes forward

2004-02-13  verliba
	* src/casyncconn.h 1.29:
	* src/casyncsocketserver.h 1.13:
	* src/cconfigbase.h 1.23:
	* src/cconfigitembase.cpp 1.25:
	* src/cconfigitembase.h 1.22:
	* src/cconndc.h 1.21:
	* src/cconnselect.h 1.12:
	* src/cdcbanlist.h 1.7:
	* src/cdcproto.cpp 1.56:
	* src/cmessagedc.cpp 1.5:
	* src/cmessagedc.h 1.6:
	* src/cserverdc.cpp 1.74:
	* src/cserverdc.h 1.41:
	* src/csetuplist.cpp 1.13:
	* src/ctime.cpp 1.12:
	* src/cuser.h 1.20:
		* some template modifs

	* src/cdcconsole.cpp 1.68:
	* src/cdcconsole.h 1.21:
	* src/cdcconsole.h 1.22:
	* src/cserverdc.cpp 1.75:
	* src/cserverdc.h 1.42:
		!raw command

	* src/casyncsocketserver.cpp 1.41:
	* src/cconfigitembase.cpp 1.26:
	* src/cconfigitembase.h 1.23:
	* src/cconnchoose.cpp 1.14:
	* src/cconnchoose.h 1.27:
	* src/cconnpoll.cpp 1.21:
	* src/cconnpoll.h 1.11:
	* src/cdcconsole.cpp 1.69:
	* src/curr_date_time.h 1.28:
		* compiles on linux

2004-02-12  verliba
	* Makefile.win 1.11:
	* src/casyncsocketserver.cpp 1.40:
	* src/cconfigbase.cpp 1.14:
	* src/cconfigbase.h 1.22:
	* src/cconfigitembase.cpp 1.24:
	* src/cconfigitembase.h 1.21:
	* src/cdcconf.cpp 1.31:
	* src/cdcconf.h 1.27:
	* src/cdcproto.cpp 1.55:
	* src/cinfoserver.cpp 1.7:
	* src/cmeanfrequency.h 1.7:
	* src/cserverdc.cpp 1.73:
	* src/thasharray.h 1.10:
	* verlihub.dev 1.33:
		-DEXPLICIT_TEMPLATES

2004-02-11  verliba
	* src/thasharray.h 1.3:
	* verlihub.dev 1.32:
		prepare non unique hash array

	* src/cconnpoll.cpp 1.19:
	* src/cconnpoll.h 1.10:
	* src/curr_date_time.h 1.26:
	* src/thasharray.h 1.8:
		-DNEWER_POLL

	* src/curr_date_time.h 1.24:
	* src/cusercollection.cpp 1.11:
	* src/cusercollection.h 1.12:
	* src/thasharray.h 1.6:
		*non-unique hash

	* src/curr_date_time.h 1.25:
	* src/thasharray.h 1.7:
		*bugfix hash_array

	* src/cconnpoll.cpp 1.20:
	* src/curr_date_time.h 1.23:
	* src/thasharray.h 1.4:
		*** empty log message ***

	* src/cbanlist.cpp 1.30:
	* src/cserverdc.cpp 1.72:
	* src/curr_date_time.h 1.27:
	* src/thasharray.h 1.9:
		* crash fix in the new hash_array

	* docs/WIN_INSTALL.txt 1.4:
		docs links

	* src/thasharray.h 1.5:
		hasharray

	* plugins/Makefile.am 1.1:
	* plugins/test/Makefile.am 1.1:
		* Makefiles.am were probably missing

2004-02-10  verliba
	* src/thasharray.cpp 1.1:
		missed it too

	* Makefile.am 1.5:
	* Makefile.in 1.7:
	* src/Makefile.am 1.29:
	* src/Makefile.in 1.20:
	* src/curr_date_time.h 1.19:
		* fix the project for (no plugins)

	* Makefile.am 1.7:
	* Makefile.in 1.8:
	* plugins/diakritika/cpidia.cpp 1.1:
	* plugins/diakritika/cpidia.h 1.1:
	* src/Makefile.am 1.30:
	* src/cdcconsole.cpp 1.67:
	* src/cserverdc.cpp 1.70:
	* src/curr_date_time.h 1.20:
		* fix crash bug

	* src/thasharray.h 1.2:
		* fix userlist events

	* src/casyncconn.cpp 1.41:
	* src/casyncsocketserver.cpp 1.39:
	* src/cconnpoll.cpp 1.17:
	* src/cinfoserver.cpp 1.6:
	* verlihub.dev 1.31:
		QUICK_SEND and QUICK_ACCEPT

	* src/thasharray.h 1.1:
		missed it

	* src/cbanlist.cpp 1.29:
	* src/cconnpoll.cpp 1.18:
	* src/ckicklist.cpp 1.9:
	* src/creglist.cpp 1.19:
	* src/curr_date_time.h 1.21:
		blocksize
		* optimize tables

	* Makefile.am 1.6:
	* Makefile.am 1.8:
	* Makefile.in 1.9:
	* configure 1.4:
	* configure.in 1.3:
		*** empty log message ***

	* src/Makefile.am 1.31:
	* src/Makefile.in 1.21:
	* src/cserverdc.cpp 1.71:
	* src/curr_date_time.h 1.22:
	* src/cusercollection.cpp 1.10:
	* src/cusercollection.h 1.11:
		 -DUSE_HASH_ARRAY

2004-02-09  verliba
	* src/casyncsocketserver.cpp 1.38:
	* src/cconnchoose.cpp 1.13:
	* src/cconnchoose.h 1.26:
	* src/cconnpoll.cpp 1.16:
	* src/cconnpoll.h 1.9:
	* src/curr_date_time.h 1.18:
		* try fix lockup bug

	* src/casyncconn.cpp 1.40:
	* src/casyncsocketserver.cpp 1.36:
	* src/cconnbase.h 1.6:
	* src/ctime.h 1.16:
	* src/curr_date_time.h 1.16:
		* some fixes

	* src/casyncsocketserver.cpp 1.37:
	* src/cconnchoose.cpp 1.12:
	* src/cconnchoose.h 1.25:
	* src/cconnpoll.cpp 1.15:
	* src/cconnpoll.h 1.8:
	* src/curr_date_time.h 1.17:
		*** empty log message ***

	* src/cconnpoll.cpp 1.14:
	* src/cconnpoll.h 1.7:
		* some poll changes

2004-02-08  verliba
	* src/Makefile.am 1.27:
	* src/Makefile.in 1.18:
	* src/cconnselect.h 1.11:
	* src/cserverdc.cpp 1.68:
	* src/cserverdc.h 1.40:
	* src/ctime.cpp 1.11:
	* src/curr_date_time.h 1.14:
	* src/tstringhashmap.cpp 1.4:
	* src/tstringhashmap.h 1.11:
		remove omd files fromproject

	* src/ctime.cpp 1.10:
		* fix time display missing minutes

	* Makefile.am 1.4:
	* Makefile.in 1.6:
	* configure 1.3:
	* configure.in 1.2:
	* plugins/test/Makefile.in 1.1:
	* plugins/test/cpitest.cpp 1.1:
	* plugins/test/cpitest.h 1.1:
	* src/Makefile.am 1.28:
	* src/Makefile.in 1.19:
	* src/cconndc.cpp 1.26:
	* src/cconndc.h 1.20:
	* src/cpluginbase.h 1.4:
	* src/cpluginloader.cpp 1.3:
	* src/cpluginmanager.cpp 1.9:
	* src/cserverdc.cpp 1.69:
	* src/curr_date_time.h 1.15:
	* src/cusercollection.cpp 1.9:
	* src/cusercollection.h 1.10:
	* src/cvhplugin.h 1.8:
	* src/cvhpluginmgr.cpp 1.6:
	* src/cvhpluginmgr.h 1.6:
		* first plugin support

	* src/Makefile.in 1.17:
	* src/cdcconf.cpp 1.30:
	* src/cdcconf.h 1.26:
	* src/cdcconsole.cpp 1.66:
	* src/cinfoserver.cpp 1.5:
	* src/cserverdc.cpp 1.67:
	* src/cserverdc.h 1.39:
	* src/curr_date_time.h 1.13:
		 add one extra zone, identified by ip min and max ip_zone4_min
		and max

2004-02-06  verliba
	* src/casyncconn.cpp 1.39:
	* src/casyncconn.h 1.28:
	* src/cdcconsole.cpp 1.65:
		* some infoban extensions

2004-02-05  verliba
	* src/Makefile.am 1.25:
	* src/Makefile.in 1.16:
	* src/ccallbacklist.cpp 1.5:
	* src/ccallbacklist.h 1.6:
	* src/cserverdc.cpp 1.65:
	* src/cserverdc.h 1.37:
	* src/curr_date_time.h 1.11:
	* src/cvhplugin.h 1.6:
	* src/cvhpluginmgr.cpp 1.5:
	* src/cvhpluginmgr.h 1.5:
		* more work on vh_plugins

	* src/casyncconn.h 1.27:
	* src/cconfigitembase.h 1.20:
	* src/cconndc.cpp 1.25:
	* src/cconndc.h 1.19:
	* src/cdcbanlist.h 1.6:
	* src/cdcconf.cpp 1.29:
	* src/cdcconf.h 1.25:
	* src/cdcproto.cpp 1.54:
	* src/cinfoserver.cpp 1.4:
	* src/cmessagedc.h 1.5:
	* src/cpluginbase.cpp 1.3:
	* src/cpluginbase.h 1.3:
	* src/cpluginmanager.cpp 1.8:
	* src/cserverdc.cpp 1.64:
	* src/cserverdc.h 1.36:
	* src/curr_date_time.h 1.10:
	* src/cuser.h 1.19:
	* src/cvhplugin.h 1.5:
	* src/cvhpluginmgr.cpp 1.4:
	* src/cvhpluginmgr.h 1.4:
		* added upload rate
		* some cosmetics changes variables msg_hub_full and msg_nick_prefis
		* beautified code by namspaces nEnums
		* some preparing work no plugins

	* src/Makefile.am 1.26:
	* src/cserverdc.cpp 1.66:
	* src/cserverdc.h 1.38:
	* src/curr_date_time.h 1.12:
	* src/cvhplugin.h 1.7:
		* plugins compile

	* Makefile.win 1.10:
	* src/cconndc.cpp 1.24:
	* src/cdcproto.cpp 1.53:
	* src/cinfoserver.cpp 1.3:
	* src/cmeanfrequency.h 1.6:
	* src/cserverdc.cpp 1.63:
	* src/cserverdc.h 1.35:
	* verlihub.dev 1.30:
		*  add upload measure

2004-02-04  verliba
	* src/cinfoserver.cpp 1.1:
	* src/cinfoserver.h 1.1:
		add info

	* src/casyncsocketserver.cpp 1.33:
	* src/cconnpoll.cpp 1.13:
	* src/cdcproto.cpp 1.51:
		made polling a bit faster

	* src/cserverdc.cpp 1.62:
	* src/curr_date_time.h 1.7:
	* src/curr_date_time.h 1.9:
		*** empty log message ***

	* src/Makefile.am 1.24:
	* src/Makefile.in 1.15:
	* src/casyncsocketserver.cpp 1.35:
	* src/casyncsocketserver.h 1.12:
	* src/cdcconsole.cpp 1.64:
	* src/cdcconsole.h 1.20:
	* src/cdcproto.cpp 1.52:
	* src/cinfoserver.cpp 1.2:
	* src/cinfoserver.h 1.2:
	* src/cmeanfrequency.h 1.5:
	* src/cserverdc.cpp 1.61:
	* src/cserverdc.h 1.34:
	* src/curr_date_time.h 1.8:
		* !hubinfo

	* Makefile.win 1.9:
	* src/cconfigitembase.cpp 1.22:
	* src/cconfigitembase.h 1.18:
	* src/cconfmysql.cpp 1.17:
	* src/cconnchoose.h 1.24:
	* src/cconndc.cpp 1.22:
		* some evening cmpatibility modifications

	* src/casyncsocketserver.cpp 1.34:
	* src/casyncsocketserver.h 1.11:
		work -> home

2004-02-03  verliba
	* src/casyncconn.cpp 1.38:
	* src/cconndc.cpp 1.21:
	* src/cdcconsole.cpp 1.63:
	* src/cdcconsole.h 1.19:
	* src/cdcproto.cpp 1.50:
	* src/cserverdc.cpp 1.60:
	* src/curr_date_time.h 1.6:
	* src/cuser.cpp 1.12:
	* src/cuser.h 1.18:
		* antihang on users
		* apply gag immediately

	* src/cconfigbase.h 1.19:
	* src/cconfigitembase.cpp 1.21:
	* src/cconnchoose.cpp 1.11:
	* src/cconnchoose.h 1.23:
	* verlihub.dev 1.29:
		* make connchoose faster

	* src/casyncconn.cpp 1.37:
	* src/casyncconn.h 1.26:
	* src/cconndc.cpp 1.19:
	* src/cconndc.h 1.18:
		* connection timeout

	* src/cban.cpp 1.10:
		* init bans correctly

	* src/casyncconn.cpp 1.35:
	* src/casyncconn.h 1.25:
	* src/cconndc.cpp 1.18:
	* src/cserverdc.cpp 1.57:
	* src/curr_date_time.h 1.2:
	* src/cusercollection.cpp 1.8:
	* src/cusercollection.h 1.9:
	* src/tstringhashmap.h 1.10:
		* NOROPE all over the project

	* src/cserverdc.cpp 1.56:
	* src/curr_date_time.h 1.1:
		* alpha version timing

	* Makefile 1.13:
	* Makefile 1.14:
	* src/casyncconn.cpp 1.34:
	* src/cban.h 1.13:
	* src/cconfigitembase.cpp 1.19:
	* src/cconnbase.h 1.5:
	* src/cconnchoose.h 1.21:
	* src/ckick.h 1.11:
	* src/cobj.h 1.6:
	* src/cserverdc.cpp 1.55:
	* src/curr_date_time.h 1.3:
	* src/curr_date_time.h 1.4:
		*** empty log message ***

	* src/cconndc.cpp 1.20:
	* src/cdcproto.cpp 1.49:
	* src/cserverdc.cpp 1.59:
	* src/curr_date_time.h 1.5:
		* some hangin fixes

	* src/cdcproto.cpp 1.48:
	* src/cserverdc.cpp 1.58:
		* fix reg user login on ther's ban

2004-02-02  verliba
	* Makefile.win 1.8:
	* src/casyncconn.cpp 1.33:
	* src/casyncconn.h 1.24:
	* src/casyncsocketserver.cpp 1.32:
	* src/cban.h 1.12:
	* src/cconfigitembase.cpp 1.17:
	* src/cconnbase.h 1.4:
	* src/cconnchoose.h 1.19:
	* src/cconndc.h 1.16:
	* src/ckick.h 1.10:
	* src/cobj.h 1.5:
	* src/cserverdc.h 1.33:
	* src/ctime.h 1.13:
	* src/cuser.h 1.17:
	* src/cusercollection.h 1.8:
	* verlihub.dev 1.27:
		some NOROPE changes

	* src/cdcproto.cpp 1.47:
	* src/cquery.cpp 1.5:
		*** empty log message ***

2004-02-01  verliba
	* src/cdcconsole.cpp 1.62:
		* add subnet format for range bans

	* src/Makefile.am 1.23:
	* src/Makefile.in 1.14:
	* src/cbanlist.cpp 1.27:
	* src/cbanlist.h 1.15:
	* src/ccmdr.cpp 1.1:
	* src/ccmdr.h 1.1:
	* src/ccommand.h 1.4:
	* src/cdcconsole.cpp 1.61:
	* src/cdcconsole.h 1.17:
	* src/cuser.cpp 1.11:
	* src/cuser.h 1.16:
		* add Commander (cCmdr)
		* add command for baninfos

	* src/cdcconf.cpp 1.28:
		*** empty log message ***

2004-01-31  verliba
	* src/cban.cpp 1.8:
	* src/cbanlist.cpp 1.25:
	* src/cdcconsole.cpp 1.59:
	* src/cpcre.cpp 1.10:
	* src/cpcre.h 1.7:
	* src/cserverdc.cpp 1.54:
		* make at least the basic version of unban work properly

	* src/casyncsocketserver.cpp 1.31:
	* src/cban.cpp 1.9:
	* src/cbanlist.cpp 1.26:
	* src/cdcconsole.cpp 1.60:
	* src/cdcconsole.h 1.16:
		* add host1,2,3 and ip range support

2004-01-30  verliba
	* src/cbanlist.cpp 1.24:
	* src/cbanlist.h 1.14:
	* src/cdcconsole.cpp 1.58:
	* src/cserverdc.cpp 1.53:
	* src/cserverdc.h 1.32:
		*somehow prepare the unban command..

2004-01-29  verliba
	* Makefile 1.12:
	* Makefile.in 1.5:
	* aclocal.m4 1.4:
	* config.h.in 1.3:
	* configure 1.2:
	* libtool 1.18:
	* src/Makefile.am 1.22:
	* src/Makefile.in 1.13:
		* fix configure script for libraries

	* libtool 1.19:
	* src/cdcconsole.cpp 1.53:
	* src/cdcconsole.h 1.15:
	* src/cdcproto.h 1.12:
	* src/cserverdc.cpp 1.52:
		*** empty log message ***

	* src/cbanlist.cpp 1.21:
	* src/cdcconsole.cpp 1.55:
	* src/cdctag.cpp 1.10:
	* src/cpcre.cpp 1.9:
		* commands !ban work after the kick..

	* scripts/def_config/help_op 1.3:
	* src/cdcconsole.cpp 1.56:
		* a little bit of help

2004-01-28  verliba
	* src/cbanlist.cpp 1.18:
		* fix banlist bug

	* src/cban.cpp 1.7:
	* src/cban.h 1.11:
	* src/cbanlist.cpp 1.19:
	* src/cbanlist.h 1.10:
	* src/cconfmysql.cpp 1.15:
	* src/cdcconsole.cpp 1.52:
	* src/cdcproto.cpp 1.46:
	* src/ckicklist.cpp 1.8:
	* src/ckicklist.h 1.6:
	* src/cserverdc.cpp 1.51:
	* src/cserverdc.h 1.31:
		* prepare console !ban* commands

	* src/casyncsocketserver.cpp 1.29:
	* src/cdcconsole.cpp 1.51:
		* gag bug

2004-01-27  verliba
	* src/cdcconsole.cpp 1.42:
		* continue rewriting reg* commands.. and on

	* src/cdcconsole.cpp 1.48:
	* src/cdcconsole.cpp 1.49:
		* compiles now

	* src/cdcconsole.cpp 1.40:
	* src/cdcconsole.h 1.14:
	* src/creglist.cpp 1.17:
	* src/creglist.h 1.10:
		* start rewriting reg commands

	* src/cdcconsole.cpp 1.41:
		* continue rewriting reg* commands

	* Makefile.win 1.2:
	* src/cdcconsole.cpp 1.44:
	* verlihub.dev 1.23:
		* fix regpass leading space bug

	* src/casyncsocketserver.cpp 1.27:
		* stabilize the connchoose iterator usage

	* src/cconfmysql.cpp 1.14:
	* src/cconfmysql.h 1.15:
	* src/cconnchoose.cpp 1.7:
	* src/cserverdc.cpp 1.49:
		fix backslash and special characters in mysql comands

	* src/cdcconsole.cpp 1.45:
		* fix some other !reg* bugs

	* src/casyncconn.cpp 1.29:
	* src/casyncconn.cpp 1.31:
	* src/casyncconn.h 1.21:
	* src/casyncsocketserver.cpp 1.23:
	* src/casyncsocketserver.cpp 1.26:
	* src/cconnchoose.cpp 1.10:
	* src/cconnchoose.cpp 1.8:
	* src/cconnchoose.h 1.15:
	* src/cconnchoose.h 1.17:
		*** empty log message ***

	* src/cdcconsole.cpp 1.43:
	* src/creglist.cpp 1.18:
	* src/cserverdc.cpp 1.50:
		* reg* commands done wirting, need testing

	* Makefile.win 1.3:
	* docs/WIN_INSTALL.txt 1.3:
	* verlihub.dev 1.24:
		 fix windows project to support loading plugins same way linux does

	* src/cdcconsole.cpp 1.46:
	* src/cdcconsole.cpp 1.47:
		* fix some other !reg* bugs
		* add !regset <nick> <field> <value>

	* Makefile.win 1.1:
		* added Windows makefile into project

	* src/cconnchoose.h 1.16:
		* fix win SOCKET iterating

2004-01-26  verliba
	* src/cconfigfile.cpp 1.9:
	* src/cdcconsole.cpp 1.38:
	* src/cserverdc.cpp 1.48:
		fix the CRLF problem

	* src/cdcconsole.cpp 1.39:
	* src/cpenaltylist.cpp 1.4:
	* verlihub.dev 1.22:
		fix the !gag bug

	* src/casyncconn.cpp 1.27:
	* src/casyncsocketserver.cpp 1.21:
	* src/casyncsocketserver.h 1.9:
	* src/cbanlist.cpp 1.17:
	* src/cconndc.h 1.15:
	* src/cconnselect.h 1.8:
	* src/cdcconf.cpp 1.27:
	* src/cdcconsole.cpp 1.37:
	* src/cdcproto.cpp 1.45:
	* src/ckicklist.cpp 1.7:
	* src/creglist.cpp 1.16:
	* src/cserverdc.h 1.30:
	* src/ctrigger.cpp 1.3:
	* src/cuser.h 1.15:
	* src/cusercollection.cpp 1.7:
	* src/verlihub.cpp 1.5:
		attempt to fix win32  64-users bug

2004-01-25  verliba
	* src/casyncsocketserver.cpp 1.20:
	* src/cconfigitembase.cpp 1.16:
	* src/cconfmysql.cpp 1.13:
	* src/cconnselect.h 1.7:
	* src/cdcconf.cpp 1.26:
	* src/cdcconf.h 1.24:
	* src/cdcproto.cpp 1.44:
	* src/cdctag.cpp 1.9:
	* src/creglist.cpp 1.15:
	* src/cserverdc.cpp 1.46:
	* src/cserverdc.h 1.29:
	* src/csetuplist.cpp 1.12:
		some attempts to fix bugs

2004-01-23  verliba
	* src/cban.h 1.10:
	* src/cconfigitembase.cpp 1.15:
	* src/cdcproto.cpp 1.43:
	* src/ckick.h 1.9:
	* src/cserverdc.cpp 1.45:
	* src/cserverdc.h 1.28:
	* src/cuser.h 1.14:
		windows: fix limit share bug

	* src/cconnpoll.cpp 1.11:
		*** empty log message ***

2004-01-21  verliba
	* src/casyncconn.cpp 1.25:
	* src/casyncsocketserver.cpp 1.18:
		try fix user's blocking..

	* src/casyncsocketserver.cpp 1.19:
		try fix user's blocking.. another fix

	* src/cconnpoll.cpp 1.9:
	* src/cconnselect.cpp 1.6:
	* src/cconnselect.h 1.6:
	* src/cselector.cpp 1.6:
	* verlihub.dev 1.21:
		* linux, try fix the disconnect bug

	* src/Makefile.am 1.21:
	* src/Makefile.in 1.12:
	* src/casyncconn.cpp 1.26:
	* src/cconnpoll.cpp 1.10:
	* src/cpoller.cpp 1.6:
	* src/cpoller.h 1.9:
	* src/cselector.cpp 1.7:
	* src/cselector.h 1.9:
		...

2004-01-20  verliba
	* libtool 1.17:
	* src/cconfigitembase.cpp 1.11:
	* src/cconfigitembase.h 1.15:
		try to fix the template compiling problem

	* scripts/trigger 1.3:
		fix the trigger script

	* src/cconfigitembase.cpp 1.13:
	* src/cconfigitembase.h 1.17:
		configitembase template implement all specialisations

	* src/casyncconn.cpp 1.23:
	* src/casyncconn.h 1.20:
	* src/casyncsocketserver.cpp 1.17:
	* src/cconnchoose.h 1.11:
	* src/cpenaltylist.cpp 1.3:
		* try fix the users stuck bug... at around 128 users and less...

	* scripts/install 1.6:
	* scripts/regnick 1.4:
		fix scripts

	* src/ccallbacklist.cpp 1.4:
	* src/ccallbacklist.h 1.5:
	* src/cpluginmanager.cpp 1.7:
	* src/cpluginmanager.h 1.6:
		change to string id's ov callbacklists (in order to allow
		plugins create further callback places)

	* src/cdcconsole.cpp 1.36:
	* src/cobj.cpp 1.6:
	* src/cserverdc.cpp 1.44:
	* src/ctime.cpp 1.7:
	* src/ctime.h 1.12:
		* add time formating functions

	* src/ctime.cpp 1.8:
		* formating output

	* src/cpenaltylist.cpp 1.2:
	* verlihub.dev 1.20:
		fix penalty creation syntax error

	* scripts/install 1.7:
	* scripts/install 1.8:
	* src/cconfigitembase.cpp 1.12:
	* src/cconfigitembase.cpp 1.14:
	* src/cconfigitembase.h 1.16:
		*** empty log message ***

	* src/casyncconn.cpp 1.24:
	* src/cconnchoose.h 1.12:
	* src/cconnpoll.cpp 1.8:
		linux, fix disconnect bug

	* scripts/runhub 1.3:
		* fix runhub

	* src/Makefile.am 1.20:
	* src/Makefile.in 1.11:
	* src/cbanlist.cpp 1.16:
	* src/cbanlist.h 1.9:
	* src/cdcconsole.cpp 1.35:
	* src/cdcconsole.h 1.13:
	* src/cpenaltylist.cpp 1.1:
	* src/cpenaltylist.h 1.1:
	* src/cserverdc.cpp 1.43:
	* src/cserverdc.h 1.27:
	* src/csetuplist.cpp 1.11:
		prepare temp gag support (in database), with command to gag
		ungag and other similar for search, ConnectToMe, PM,...

2004-01-19  verliba
	* src/cbanlist.cpp 1.15:
	* src/cdcconsole.cpp 1.34:
	* src/cdcproto.cpp 1.42:
	* src/cserverdc.cpp 1.41:
	* src/cusercollection.cpp 1.5:
		*** empty log message ***

2004-01-18  verliba
	* src/cdctag.cpp 1.8:
	* src/cdctag.h 1.8:
		* tag parser fixes:
			- sock5
			- DC DC:PRO oDC
		* finally it works a bit at least

	* src/ctime.cpp 1.6:
		verlihub.exe works almost as unix version

	* src/casyncsocketserver.cpp 1.15:
	* src/cconfmysql.h 1.14:
	* src/cconnpoll.cpp 1.7:
	* src/cserverdc.cpp 1.38:
		* fix network a bit
		* fix mysql bug

	* src/cconnchoose.h 1.10:
	* src/cconnselect.cpp 1.5:
	* src/cconnselect.h 1.5:
	* verlihub.dev 1.15:
		windows project compiles

	* src/cban.h 1.9:
	* src/cbanlist.cpp 1.14:
	* src/cbanlist.h 1.8:
	* src/cdcproto.cpp 1.41:
	* src/cquery.cpp 1.4:
	* src/cserverdc.cpp 1.40:
	* src/cserverdc.h 1.25:
	* src/cuser.h 1.13:
	* src/cusercollection.cpp 1.4:
	* src/cusercollection.h 1.6:
		* NoHello
		* NoGetINFO
		* banlist works again

	* docs/WIN_INSTALL.txt 1.1:
	* src/casyncsocketserver.cpp 1.16:
		win install guide outline

2004-01-17  verliba
	* src/casyncsocketserver.cpp 1.14:
	* src/cconnchoose.h 1.9:
	* src/cconnpoll.cpp 1.6:
	* src/cconnpoll.h 1.6:
	* src/cdctag.cpp 1.7:
	* src/ctime.h 1.11:
		fix cconnpoll

2004-01-16  verliba
	* src/cconndc.cpp 1.15:
	* src/cserverdc.cpp 1.35:
	* src/cserverdc.h 1.23:
		geoip is optional in code

	* src/casyncconn.h 1.17:
	* src/cconnbase.h 1.2:
	* src/cconnchoose.cpp 1.4:
	* src/cconnchoose.h 1.6:
	* src/cconnpoll.cpp 1.4:
	* src/cconnselect.cpp 1.4:
	* src/cconnselect.h 1.4:
	* verlihub.dev 1.9:
		lunchbreak fixes of compiling cconnchoose & cconnselect classes

	* src/casyncsocketserver.cpp 1.11:
	* src/cconnchoose.cpp 1.5:
	* src/cconnchoose.h 1.8:
	* src/cmysql.h 1.7:
	* verlihub.dev 1.12:
		almost fix win32 project

	* Makefile 1.11:
	* libtool 1.16:
	* src/casyncsocketserver.cpp 1.12:
	* src/cconfigbase.cpp 1.12:
	* src/cconfigitembase.h 1.12:
	* src/cconnpoll.cpp 1.5:
	* src/cconnpoll.h 1.4:
		fix cconnpoll class

	* verlihub.dev 1.11:
		correct mysql include path

	* src/casyncconn.cpp 1.22:
	* src/casyncsocketserver.cpp 1.10:
	* src/casyncsocketserver.h 1.7:
	* src/cconnchoose.h 1.7:
	* src/cmysql.h 1.6:
	* verlihub.dev 1.10:
		saving the work, done some win32 changes... on nServer

	* src/casyncconn.h 1.19:
	* src/casyncsocketserver.cpp 1.13:
	* src/casyncsocketserver.h 1.8:
	* src/cconnpoll.h 1.5:
		*** empty log message ***

	* src/casyncconn.cpp 1.21:
	* src/casyncconn.h 1.18:
		more fixes

2004-01-15  verliba
	* src/cconnbase.h 1.1:
	* src/cconnchoose.cpp 1.3:
	* src/cconnchoose.h 1.4:
	* src/cconnpoll.cpp 1.2:
	* src/cconnpoll.h 1.3:
	* src/cconnselect.cpp 1.3:
	* src/cconnselect.h 1.3:
	* verlihub.dev 1.8:
		finish writing of poller and selector

	* src/cconnchoose.cpp 1.2:
	* src/cconnchoose.h 1.3:
	* src/cconnpoll.h 1.2:
	* src/cconnselect.cpp 1.2:
	* src/cconnselect.h 1.2:
	* verlihub.dev 1.7:
		add cConnChoose::iterator

	* src/cconnselect.cpp 1.1:
	* src/cconnselect.h 1.1:
		add cConnSelect

	* src/cconnchoose.h 1.5:
	* src/cconnpoll.cpp 1.1:
	* src/cconnpoll.cpp 1.3:
	* src/cconnpoll.h 1.1:
		*** empty log message ***

	* libtool 1.15:
	* src/Makefile.am 1.19:
	* src/Makefile.in 1.10:
	* src/cconnchoose.h 1.2:
		* partial poller rewrites

2004-01-14  verliba
	* scripts/install 1.5:
	* src/cconfigfile.cpp 1.8:
		dbconfig file can be now also with one less space like this
		db_pass= verlihub_pass

	* src/cdcconsole.cpp 1.30:
	* src/cserverdc.cpp 1.33:
	* src/cserverdc.h 1.21:
		fix crlf in file triggers and getconfig

	* src/Makefile.am 1.18:
	* src/Makefile.in 1.9:
	* src/casyncconn.cpp 1.20:
	* src/casyncconn.h 1.16:
	* src/cban.h 1.7:
	* src/cbanlist.cpp 1.12:
	* src/cconfigbase.cpp 1.11:
	* src/cconfigbase.h 1.17:
	* src/cconfmysql.cpp 1.12:
	* src/cconfmysql.h 1.13:
	* src/cconnchoose.cpp 1.1:
	* src/cconnchoose.h 1.1:
	* src/cdcconsole.cpp 1.32:
	* src/cdcproto.cpp 1.39:
	* src/ckicklist.cpp 1.6:
	* src/ckicklist.h 1.5:
	* src/cpoller.cpp 1.5:
	* src/cpoller.h 1.8:
	* src/cserverdc.cpp 1.34:
	* src/cuser.h 1.11:
	* src/tchashlistmap.cpp 1.3:
	* src/tchashlistmap.h 1.10:
		* found bug in cPoller
		* preparing a base class for select and poll, it will be
			- faster
			- more stable
			- select works under windows
			- nicer

	* src/Makefile.am 1.17:
	* src/Makefile.in 1.8:
	* src/casyncsocketserver.cpp 1.9:
	* src/cbanlist.cpp 1.11:
	* src/cconfigitembase.cpp 1.8:
	* src/cconndc.cpp 1.14:
	* src/cconndc.h 1.14:
	* src/cdcbanlist.cpp 1.9:
	* src/cdcbanrecord.cpp 1.4:
	* src/cdcbanrecord.h 1.4:
	* src/cdcconf.cpp 1.23:
	* src/cdcconf.h 1.22:
	* src/cdcconsole.h 1.11:
	* src/cdcproto.cpp 1.38:
	* src/cdctag.cpp 1.6:
	* src/cdctag.h 1.7:
	* src/ckick.h 1.7:
	* src/ckicklist.cpp 1.5:
	* src/ckicklist.h 1.4:
	* src/cobj.h 1.4:
	* src/cpcre_interface.h 1.2:
	* src/cserverdc.h 1.22:
	* src/ctime.h 1.10:
	* src/cuser.h 1.10:
		* cleanup in project a bit
		* fix banlist table creation ( banning still doesn't work)
		* kicklist is ok, kicking works, database interface is just fine

	* scripts/trigger 1.2:
	* src/cdcconsole.cpp 1.31:
	* src/cdcconsole.h 1.10:
	* src/ctriggers.cpp 1.9:
		new command !ftedit to edit file triggers

	* src/creguserinfo.cpp 1.8:
	* verlihub.dev 1.6:
		windows has no crypt function...

	* src/ccommand.cpp 1.4:
	* src/cpcre.cpp 1.8:
	* src/cpcre.h 1.6:
		edit rtiggers fix by fixing multiline command parsing

2004-01-13  verliba
	* scripts/install 1.4:
		install creates the db config file and prepares mysql database
		necessary for verlihub to run

	* src/cbanlist.cpp 1.10:
	* src/cconfigbase.h 1.16:
	* src/cconfmysql.cpp 1.8:
	* src/cconfmysql.h 1.11:
	* src/cdcconsole.cpp 1.27:
	* src/creglist.cpp 1.9:
	* src/creglist.h 1.8:
	* src/ctriggers.cpp 1.7:
		fixed load from db result

	* src/cconfigbase.h 1.15:
	* src/cconfigfile.h 1.9:
	* src/cconfmysql.cpp 1.7:
	* src/cconfmysql.h 1.10:
	* src/cdcconf.h 1.20:
	* src/cdcconsole.cpp 1.26:
	* src/csetuplist.cpp 1.8:
		found bug in gcc and so did it another way

	* src/cconfigbase.h 1.14:
	* src/cconfigfile.h 1.8:
	* src/cconfmysql.h 1.9:
	* src/cdcconf.h 1.19:
		fixed the compile proble by creation of virtual template equivalent

	* src/cdcconsole.cpp 1.25:
	* src/cdcconsole.h 1.8:
	* src/cserverdc.cpp 1.30:
	* src/csetuplist.cpp 1.6:
	* src/ctriggers.h 1.6:
		fix file_trigger bug..

	* src/cconfmysql.cpp 1.9:
	* src/creglist.cpp 1.10:
	* src/ctriggers.cpp 1.8:
		reglist works on new libs..

	* src/ccommand.cpp 1.3:
	* src/ccommand.h 1.3:
	* src/cconfmysql.cpp 1.11:
	* src/cdcconf.cpp 1.22:
	* src/cdcconf.h 1.21:
	* src/cdcconsole.cpp 1.29:
	* src/cdcconsole.h 1.9:
	* src/cdcproto.cpp 1.37:
	* src/cpcre.cpp 1.7:
	* src/cpcre.h 1.5:
	* src/creglist.cpp 1.13:
	* src/creguserinfo.cpp 1.7:
	* src/creguserinfo.h 1.6:
	* src/cserverdc.cpp 1.32:
	* src/cuser.cpp 1.10:
		prepared for new command parser

	* src/Makefile.in 1.7:
	* src/ccommand.cpp 1.2:
	* src/ccommand.h 1.2:
	* src/cconfigbase.cpp 1.9:
	* src/cconfigfile.cpp 1.7:
	* src/cconfigfile.h 1.6:
	* src/cdbconf.cpp 1.4:
	* src/cdcconf.cpp 1.20:
	* src/cdcconsole.cpp 1.24:
	* src/cdcproto.cpp 1.36:
	* src/cmysql.cpp 1.3:
	* src/cmysql.h 1.5:
	* src/cpluginloader.h 1.3:
	* src/creglist.cpp 1.7:
	* src/cserverdc.cpp 1.29:
	* src/cserverdc.h 1.20:
	* src/cuser.cpp 1.9:
	* src/tchashlistmap.h 1.8:
		fix part of server condtructor

	* libtool 1.14:
	* scripts/regnick 1.2:
	* src/creglist.cpp 1.11:
	* src/creguserinfo.cpp 1.5:
		password crypt support

	* src/ccommand.cpp 1.1:
	* src/ccommand.h 1.1:
		*** empty log message ***

	* src/cdcconsole.cpp 1.28:
	* src/csetuplist.cpp 1.10:
	* src/csetuplist.h 1.8:
		auto save changes in config on every set... (in mysql)

	* src/creglist.cpp 1.8:
	* src/creglist.h 1.7:
	* src/csetuplist.cpp 1.9:
		bugfix crassh in RegList

	* scripts/regnick 1.3:
	* src/cconfmysql.cpp 1.10:
	* src/cconfmysql.h 1.12:
	* src/creglist.cpp 1.12:
	* src/creglist.h 1.9:
	* src/creguserinfo.cpp 1.6:
	* src/creguserinfo.h 1.5:
		update of reglist

	* libtool 1.12:
	* src/Makefile.am 1.16:
	* src/cvhplugin.h 1.4:
	* src/cvhpluginmgr.cpp 1.3:
	* src/cvhpluginmgr.h 1.3:
		preapring for a command parser

	* Makefile 1.10:
	* TODO 1.7:
	* libtool 1.13:
	* scripts/install 1.3:
	* src/cban.h 1.6:
	* src/cbanlist.cpp 1.9:
	* src/cbanlist.h 1.7:
	* src/cconfigbase.cpp 1.10:
	* src/cconfigbase.h 1.13:
	* src/cconfigfile.h 1.7:
	* src/cconfigitembase.h 1.11:
	* src/cconfmysql.cpp 1.6:
	* src/cconfmysql.h 1.8:
	* src/cdcconf.cpp 1.21:
	* src/cdcconf.h 1.18:
	* src/cquery.cpp 1.3:
	* src/cserverdc.cpp 1.31:
	* src/csetuplist.cpp 1.7:
	* src/csetuplist.h 1.7:
	* src/ctriggers.cpp 1.6:
	* src/tchashlistmap.h 1.9:
		tyring to fix compiling problems

	* scripts/import_reglist_0.9.x_to_0.9.7.sql 1.1:
		reglist is done,
		* hidekcik, kidekick from class and protect are loaded from reglist
		* import script from the old database to the new reglist

2004-01-12  verliba
	* AUTHORS 1.2:
	* src/cantiflood.cpp 1.2:
	* src/cantiflood.h 1.4:
	* src/casyncconn.cpp 1.19:
	* src/casyncconn.h 1.15:
	* src/casyncsocketserver.cpp 1.8:
	* src/casyncsocketserver.h 1.6:
	* src/cban.cpp 1.6:
	* src/cban.h 1.5:
	* src/cbanlist.cpp 1.8:
	* src/cbanlist.h 1.6:
	* src/ccallbacklist.cpp 1.3:
	* src/ccallbacklist.h 1.3:
	* src/cconfigbase.cpp 1.8:
	* src/cconfigbase.h 1.12:
	* src/cconfigfile.cpp 1.6:
	* src/cconfigfile.h 1.5:
	* src/cconfigitembase.cpp 1.7:
	* src/cconfigitembase.h 1.10:
	* src/cconfmysql.cpp 1.5:
	* src/cconfmysql.h 1.7:
	* src/cconndc.cpp 1.13:
	* src/cconndc.h 1.13:
	* src/cdbconf.cpp 1.3:
	* src/cdbconf.h 1.3:
	* src/cdcbanlist.cpp 1.8:
	* src/cdcbanlist.h 1.5:
	* src/cdcbanrecord.cpp 1.3:
	* src/cdcbanrecord.h 1.3:
	* src/cdcconf.cpp 1.19:
	* src/cdcconf.h 1.17:
	* src/cdcconsole.cpp 1.23:
	* src/cdcconsole.h 1.7:
	* src/cdcproto.cpp 1.35:
	* src/cdcproto.h 1.11:
	* src/cdctag.cpp 1.5:
	* src/cdctag.h 1.6:
	* src/cfreqlimiter.cpp 1.3:
	* src/cfreqlimiter.h 1.3:
	* src/cgeoip.cpp 1.2:
	* src/cgeoip.h 1.2:
	* src/cinterpolexp.cpp 1.2:
	* src/cinterpolexp.h 1.3:
	* src/ckick.cpp 1.4:
	* src/ckick.h 1.6:
	* src/ckicklist.cpp 1.4:
	* src/ckicklist.h 1.3:
	* src/cmeanfrequency.cpp 1.2:
	* src/cmeanfrequency.h 1.4:
	* src/cmessagedc.cpp 1.4:
	* src/cmessagedc.h 1.4:
	* src/cmysql.cpp 1.2:
	* src/cmysql.h 1.4:
	* src/cobj.cpp 1.5:
	* src/cobj.h 1.3:
	* src/coperator.cpp 1.3:
	* src/coperator.h 1.3:
	* src/cparser.cpp 1.2:
	* src/cparser.h 1.2:
	* src/cpcre.cpp 1.6:
	* src/cpcre.h 1.4:
	* src/cpluginbase.cpp 1.2:
	* src/cpluginbase.h 1.2:
	* src/cpluginloader.cpp 1.2:
	* src/cpluginloader.h 1.2:
	* src/cpluginmanager.cpp 1.4:
	* src/cpluginmanager.h 1.4:
	* src/cpoller.cpp 1.4:
	* src/cpoller.h 1.7:
	* src/cprotocommand.cpp 1.2:
	* src/cprotocommand.h 1.2:
	* src/cquery.cpp 1.2:
	* src/cquery.h 1.2:
	* src/creglist.cpp 1.6:
	* src/creglist.h 1.6:
	* src/creguserinfo.cpp 1.4:
	* src/creguserinfo.h 1.4:
	* src/cselector.cpp 1.5:
	* src/cselector.h 1.8:
	* src/cserverdc.cpp 1.28:
	* src/cserverdc.h 1.19:
	* src/csetuplist.cpp 1.5:
	* src/csetuplist.h 1.6:
	* src/ctempfunctionbase.cpp 1.2:
	* src/ctempfunctionbase.h 1.2:
	* src/ctime.cpp 1.5:
	* src/ctime.h 1.9:
	* src/ctimeout.cpp 1.3:
	* src/ctimeout.h 1.4:
	* src/ctrigger.cpp 1.2:
	* src/ctrigger.h 1.3:
	* src/ctriggers.cpp 1.5:
	* src/ctriggers.h 1.5:
	* src/cuser.cpp 1.8:
	* src/cuser.h 1.9:
	* src/cusercollection.cpp 1.3:
	* src/cusercollection.h 1.5:
	* src/cvhplugin.cpp 1.3:
	* src/cvhplugin.h 1.3:
	* src/cvhpluginmgr.cpp 1.2:
	* src/cvhpluginmgr.h 1.2:
	* src/tchashlistmap.cpp 1.2:
	* src/tchashlistmap.h 1.7:
	* src/tpluginbase.cpp 1.2:
	* src/tpluginbase.h 1.2:
	* src/tstringhashmap.cpp 1.3:
	* src/tstringhashmap.h 1.9:
	* src/verlihub.cpp 1.3:
	* verlihub.dev 1.4:
		dan at velriba dot cz

2004-01-11  verliba
	* Makefile 1.9:
	* libtool 1.10:
	* src/Makefile.am 1.13:
	* src/cbanlist.cpp 1.6:
	* src/cconfigbase.cpp 1.7:
	* src/cconfigbase.h 1.11:
	* src/cconfigitembase.cpp 1.6:
	* src/cconfigitembase.h 1.9:
	* src/cconfmysql.h 1.5:
	* src/cdbconf.cpp 1.2:
	* src/cdbconf.h 1.2:
	* src/cdcconf.cpp 1.18:
	* src/cdcconf.h 1.16:
	* src/cdctag.h 1.5:
	* src/cserverdc.cpp 1.27:
	* src/cserverdc.h 1.17:
	* src/csetuplist.cpp 1.4:
	* src/csetuplist.h 1.5:
		* added configuration items iterator
		* added setuplist, which allows to move the config file to mysql
		* moved config to mysql (all byt db_* variables)

	* src/cpluginbase.o 1.2:
	* src/cpluginloader.o 1.2:
	* src/cpluginmanager.o 1.2:
	* src/cvhplugin.o 1.2:
	* src/tpluginbase.o 1.2:
		*** empty log message ***

	* src/Makefile.am 1.14:
	* src/cbanlist.cpp 1.7:
	* src/ccallbacklist.cpp 1.1:
	* src/ccallbacklist.h 1.1:
	* src/cconfmysql.h 1.6:
	* src/cpluginbase.cpp 1.1:
	* src/cpluginbase.h 1.1:
	* src/cpluginbase.o 1.1:
	* src/cpluginloader.cpp 1.1:
	* src/cpluginloader.h 1.1:
	* src/cpluginloader.o 1.1:
	* src/cpluginmanager.cpp 1.2:
	* src/cpluginmanager.h 1.2:
	* src/cpluginmanager.o 1.1:
	* src/cvhplugin.cpp 1.1:
	* src/cvhplugin.h 1.1:
	* src/cvhplugin.o 1.1:
	* src/tpluginbase.o 1.1:
		Prepared the plugin support for general usage and soon also for verlihub

	* src/cpluginmanager.cpp 1.1:
	* src/cpluginmanager.h 1.1:
	* src/tpluginbase.cpp 1.1:
	* src/tpluginbase.h 1.1:
		preparations ofr plugin support

	* libtool 1.11:
	* src/Makefile.am 1.15:
	* src/ccallbacklist.cpp 1.2:
	* src/ccallbacklist.h 1.2:
	* src/cpluginmanager.cpp 1.3:
	* src/cpluginmanager.h 1.3:
	* src/cserverdc.h 1.18:
	* src/cvhplugin.cpp 1.2:
	* src/cvhplugin.h 1.2:
	* src/cvhpluginmgr.cpp 1.1:
	* src/cvhpluginmgr.h 1.1:
		plugin

2004-01-10  verliba
	* src/Makefile.am 1.12:
	* src/cbanlist.h 1.5:
	* src/cdcbanlist.h 1.4:
	* src/cdcconf.cpp 1.17:
	* src/cdcconf.h 1.15:
	* src/cserverdc.cpp 1.26:
	* src/cserverdc.h 1.16:
	* src/csetuplist.cpp 1.3:
	* src/csetuplist.h 1.4:
		dbconf

	* src/cdbconf.cpp 1.1:
	* src/cdbconf.h 1.1:
	* src/cpcre_interface.h 1.1:
		added 2 files into project

2004-01-09  verliba
	* src/Makefile.am 1.11:
	* src/Makefile.in 1.6:
	* src/casyncsocketserver.cpp 1.7:
	* src/casyncsocketserver.h 1.5:
	* src/cbanlist.cpp 1.5:
	* src/cconndc.cpp 1.12:
	* src/cconndc.h 1.12:
	* src/cdcconsole.cpp 1.22:
	* src/cdcproto.cpp 1.34:
	* src/ckick.h 1.5:
	* src/ckicklist.cpp 1.3:
	* src/cobj.cpp 1.4:
	* src/creglist.cpp 1.5:
	* src/creglist.h 1.5:
	* src/cselector.cpp 1.4:
	* src/cserverdc.cpp 1.25:
	* src/cserverdc.h 1.15:
	* src/ctime.cpp 1.4:
	* src/ctime.h 1.8:
	* src/cuser.h 1.8:
		* avoid using time(NULL) except in ctime.h
		and use ctime class instead, also gettimeofday is in ctime.h

	* Makefile 1.8:
	* libtool 1.9:
	* src/cconfigbase.cpp 1.6:
	* src/cconfigbase.h 1.9:
	* src/cconfigfile.cpp 1.5:
	* src/cconfigitembase.h 1.8:
	* src/cconfmysql.cpp 1.4:
	* src/cconfmysql.h 1.4:
	* src/cdcconsole.cpp 1.21:
	* src/tchashlistmap.h 1.5:
		* makefile will have -lGeoIP again
		* config now supports ordered and named access, changed !gc and !save

	* src/cconfigbase.h 1.10:
	* src/cusercollection.h 1.4:
	* src/tchashlistmap.h 1.6:
		Avoid including ext/hash and using hash_map

	* src/cconfigbase.cpp 1.5:
	* src/cconfigbase.h 1.8:
	* src/tchashlistmap.h 1.4:
		void hash_map

2004-01-07  verliba
	* src/cconfigbase.h 1.7:
	* src/cconndc.cpp 1.11:
	* src/cconndc.h 1.11:
	* src/ctime.cpp 1.3:
	* src/ctime.h 1.7:
	* src/tchashlistmap.h 1.3:
	* src/tstringhashmap.h 1.8:
	* verlihub.dev 1.2:
		win stuff

2004-01-06  verliba
	* src/casyncconn.cpp 1.15:
	* src/casyncconn.h 1.13:
	* src/cban.cpp 1.4:
	* src/cpoller.h 1.4:
	* src/cselector.h 1.4:
	* src/ctime.h 1.4:
	* src/tstringhashmap.h 1.4:
		some more windows adjustments, not yet complete

	* verlihub.dev 1.1:
		added dev-cpp project file

	* src/cdcbanlist.cpp 1.7:
	* src/cmysql.h 1.3:
	* src/cobj.cpp 1.3:
	* src/cpoller.cpp 1.3:
	* src/cpoller.h 1.6:
	* src/cselector.cpp 1.3:
	* src/cselector.h 1.7:
	* src/cserverdc.h 1.14:
	* src/cusercollection.h 1.3:
	* src/main.cpp 1.3:
	* src/verlihub.cpp 1.2:
		dev-cpp adjustements until it all compiles, but not links

	* src/cantiflood.h 1.2:
	* src/casyncconn.cpp 1.17:
	* src/casyncconn.h 1.14:
	* src/casyncsocketserver.cpp 1.6:
	* src/casyncsocketserver.h 1.4:
	* src/cban.cpp 1.5:
	* src/cconfigitembase.h 1.7:
	* src/cfreqlimiter.cpp 1.2:
	* src/cfreqlimiter.h 1.2:
	* src/cmeanfrequency.h 1.3:
	* src/cobj.h 1.2:
	* src/cpoller.h 1.5:
	* src/cselector.h 1.6:
	* src/ctime.cpp 1.2:
	* src/ctime.h 1.5:
	* src/ctimeout.cpp 1.2:
	* src/ctimeout.h 1.3:
	* src/tstringhashmap.h 1.5:
		More WinVerlihub adjustements

	* src/main.cpp 1.4:
		removed redundant main.cpp

	* src/cmeanfrequency.h 1.2:
	* src/ctime.h 1.2:
	* src/ctimeout.h 1.2:
		START of porting to windows
		class cTime is now windows compatible

	* src/cantiflood.h 1.3:
	* src/cmysql.h 1.2:
	* src/cserverdc.h 1.13:
	* src/ctime.h 1.6:
	* src/tstringhashmap.h 1.6:
		dev-cpp adjustements

	* Makefile 1.7:
	* acconfig.h 1.2:
	* libtool 1.8:
	* src/casyncconn.cpp 1.16:
	* src/casyncconn.cpp 1.18:
	* src/cconfigbase.h 1.6:
	* src/csetuplist.h 1.3:
	* src/cuser.h 1.7:
	* src/tchashlistmap.h 1.2:
	* src/tstringhashmap.h 1.7:
		*** empty log message ***

	* src/casyncconn.cpp 1.14:
	* src/casyncconn.h 1.12:
	* src/ctime.h 1.3:
		add use cTime in assyncconn

	* src/Makefile.in 1.5:
	* src/cban.h 1.4:
	* src/cbanlist.cpp 1.4:
	* src/cbanlist.h 1.4:
	* src/cdcconsole.cpp 1.20:
	* src/cdcproto.cpp 1.33:
	* src/ckicklist.cpp 1.2:
	* src/ckicklist.h 1.2:
	* src/cserverdc.cpp 1.24:
	* src/csetuplist.cpp 1.2:
	* src/csetuplist.h 1.2:
		make new changes compile ..

2004-01-05  verliba
	* Makefile 1.6:
	* TODO 1.6:
	* docs/configuring.txt 1.1:
	* docs/using.txt 1.1:
	* libtool 1.7:
	* scripts/install 1.2:
	* scripts/trigger 1.1:
	* src/Makefile.am 1.10:
	* src/casyncconn.cpp 1.13:
	* src/casyncconn.h 1.11:
	* src/cban.cpp 1.3:
	* src/cban.h 1.3:
	* src/cbanlist.cpp 1.3:
	* src/cbanlist.h 1.3:
	* src/cbanlist_interface.h 1.1:
	* src/cconfigbase.cpp 1.4:
	* src/cconfigbase.h 1.5:
	* src/cconfigfile.cpp 1.4:
	* src/cconfigfile.h 1.4:
	* src/cconfigitembase.cpp 1.5:
	* src/cconfmysql.cpp 1.3:
	* src/cconfmysql.h 1.3:
	* src/cconndc.cpp 1.10:
	* src/cconndc.h 1.10:
	* src/cdcbanlist.cpp 1.6:
	* src/cdcconf.cpp 1.16:
	* src/cdcconf.h 1.14:
	* src/cdcconsole.cpp 1.19:
	* src/cdcproto.cpp 1.32:
	* src/ckick.h 1.4:
	* src/ckicklist.cpp 1.1:
	* src/ckicklist.h 1.1:
	* src/creglist.cpp 1.4:
	* src/creglist.h 1.4:
	* src/cserverdc.cpp 1.23:
	* src/cserverdc.h 1.12:
	* src/csetuplist.cpp 1.1:
	* src/csetuplist.h 1.1:
	* src/ctriggers.cpp 1.4:
	* src/ctriggers.h 1.4:
	* src/cusercollection.cpp 1.2:
	* src/cusercollection.h 1.2:
	* src/tchashlistmap.cpp 1.1:
	* src/tchashlistmap.h 1.1:
	* src/tstringhashmap.h 1.3:
		Many many changes
		* mainly mysql rewrites
			- banlist
			- kicklist
			- ...
		* and some more ...
		The next time it's probably gonna be major version change

2003-12-21  verliba
	* src/casyncconn.cpp 1.12:
	* src/casyncconn.h 1.10:
	* src/cconndc.cpp 1.9:
		crope was too slow, so I tried to remove it from a part

	* TODO 1.5:
	* libtool 1.6:
	* src/Makefile.am 1.9:
	* src/Makefile.in 1.4:
	* src/casyncconn.cpp 1.11:
	* src/casyncconn.h 1.9:
	* src/casyncsocketserver.cpp 1.4:
	* src/casyncsocketserver.h 1.3:
	* src/cconfigbase.h 1.4:
	* src/cconndc.cpp 1.7:
	* src/cconndc.h 1.9:
	* src/cdcbanlist.cpp 1.5:
	* src/cdcconsole.cpp 1.18:
	* src/cdcproto.cpp 1.30:
	* src/cdcproto.h 1.9:
	* src/cdctag.h 1.4:
	* src/cobj.cpp 1.2:
	* src/cserverdc.cpp 1.21:
	* src/cserverdc.h 1.11:
	* src/cuser.cpp 1.7:
	* src/cuser.h 1.6:
	* src/tstringhashmap.cpp 1.2:
	* src/tstringhashmap.h 1.2:
		 hope you saved previous working version...
		 cause there are many rewrites concerning userlist, and these still don't work as they should.

	* src/cusercollection.cpp 1.1:
	* src/cusercollection.h 1.1:
		project update

	* src/cconndc.cpp 1.8:
	* src/cdcconf.cpp 1.15:
	* src/cdcconf.h 1.13:
	* src/cdcproto.cpp 1.31:
	* src/cdcproto.h 1.10:
	* src/cdctag.cpp 1.4:
	* src/cserverdc.cpp 1.22:
		complete rewrite of userlist
		no passive search for pssive users
		no tags (optional)
		tag parsing
		some bugfixes..
		etc...
		Upgrave to 0.9.6a

2003-12-18  verliba
	* src/cserverdc.cpp 1.19:
		ultimate bugfix for cc_zone2

	* src/cdcconsole.h 1.6:
	* src/cserverdc.cpp 1.20:
		new !ccbc command

	* src/cgeoip.cpp 1.1:
	* src/cgeoip.h 1.1:
		added missing files cGeIP class

	* src/Makefile.am 1.8:
	* src/Makefile.in 1.3:
	* src/casyncsocketserver.cpp 1.3:
	* src/cconndc.cpp 1.6:
	* src/cconndc.h 1.8:
	* src/cdcconf.cpp 1.12:
	* src/cdcconf.h 1.11:
	* src/cdcconsole.cpp 1.16:
	* src/cdcproto.cpp 1.27:
	* src/cserverdc.cpp 1.16:
	* src/cserverdc.h 1.7:
		new feature : country code preference

	* src/cdcconf.cpp 1.13:
	* src/cdcconf.h 1.12:
	* src/cdcproto.cpp 1.29:
	* src/cserverdc.cpp 1.18:
	* src/cserverdc.h 1.8:
		added second CC zone
		renamed variable prefered_country to cc_zone1 and 2

	* src/cdcconsole.cpp 1.17:
	* src/cserverdc.h 1.9:
		new feature : !ccbc command send broadcast message only to users of given countries
		e.g. !ccbc :cz:sk:  Ahoj vsichni!!!

	* TODO 1.3:
	* libtool 1.5:
	* src/cserverdc.h 1.10:
		*** empty log message ***

	* TODO 1.4:
	* scripts/ccgraph 1.1:
	* src/cdcproto.cpp 1.28:
	* src/cserverdc.cpp 1.17:
		multi country prefered geographic location use like this:
		prefered_country = :AA:BB:CC:DD:
		max_users0 = 10
		max_users1 = 1000
		max_users  = 100000 # this or the other will limit the user count, it's op to you

	* src/cdcconf.cpp 1.14:
		bugfix of max_users2

2003-12-16  verliba
	* src/cconndc.cpp 1.5:
	* src/cconndc.h 1.7:
	* src/cdcconf.cpp 1.11:
	* src/cdcconf.h 1.10:
	* src/cdcconsole.cpp 1.15:
	* src/cdcproto.cpp 1.26:
	* src/cdcproto.h 1.8:
	* src/cdctag.cpp 1.3:
	* src/cdctag.h 1.3:
	* src/ctriggers.h 1.3:
		temp remove supports for nohello and nogetionfo
		add hubs and slots controls

	* src/cconndc.cpp 1.4:
	* src/cconndc.h 1.6:
	* src/cdcconf.cpp 1.10:
	* src/cdcconf.h 1.9:
	* src/cdcproto.cpp 1.25:
	* src/cserverdc.cpp 1.15:
	* src/cserverdc.h 1.6:
		remove opchat echo
		add NoHelo feature
		add NoGetINFO feature

	* src/cconfigitembase.cpp 1.4:
	* src/cconfigitembase.h 1.6:
	* src/cdcconf.cpp 1.9:
	* src/cdcconf.h 1.8:
	* src/cdcconsole.cpp 1.14:
	* src/cdcproto.cpp 1.24:
	* src/cserverdc.cpp 1.14:
	* src/ctriggers.cpp 1.3:
		BugFix  loading multi word string variables from file

	* src/cdcproto.cpp 1.23:
		*** empty log message ***

2003-12-15  verliba
	* src/cconndc.cpp 1.3:
	* src/cconndc.h 1.5:
	* src/cdcproto.cpp 1.21:
	* src/cdcproto.h 1.6:
	* src/cserverdc.cpp 1.12:
	* src/cserverdc.h 1.5:
		userlist rewrites and speedups

	* src/cconfigitembase.cpp 1.3:
		no more atoll

	* src/cdcconf.cpp 1.7:
	* src/cdcconf.h 1.6:
	* src/cdcproto.cpp 1.20:
	* src/cserverdc.cpp 1.11:
		Added simple opchat, with echo, but soon gonna make better.

	* src/cdcconf.cpp 1.8:
	* src/cdcconf.h 1.7:
	* src/cdcconsole.cpp 1.13:
	* src/cdcproto.cpp 1.22:
	* src/cdcproto.h 1.7:
	* src/cserverdc.cpp 1.13:
		preparations for quicklist option...

2003-12-13  verliba
	* src/cdcproto.cpp 1.15:
		fix the kick reason recognition problem for new versions of dc++

	* src/cdcconf.cpp 1.6:
	* src/cdcconf.h 1.5:
	* src/cdcproto.cpp 1.17:
	* src/cdctag.cpp 1.2:
	* src/cdctag.h 1.2:
	* src/cpcre.h 1.3:
	* src/cpoller.h 1.3:
	* src/cuser.cpp 1.6:
	* src/cuser.h 1.5:
		Feature: reduce sending of myInfo only on important changes
		minor changes (specialy in DC tag) are sent only to OPs

	* src/cpcre.cpp 1.5:
		bugfix perman by _ban_

	* src/cdcproto.cpp 1.16:
		fix kick reason recognition on older dc clients

	* src/cdcproto.cpp 1.19:
		_ban_ bugfix and little rewrites

	* src/cdcproto.cpp 1.18:
		fix typo

2003-12-11  verliba
	* Makefile 1.5:
	* libtool 1.4:
	* src/Makefile.am 1.7:
	* src/Makefile.in 1.2:
	* src/cdcbanlist.cpp 1.4:
	* src/cdcproto.cpp 1.14:
	* src/cserverdc.cpp 1.10:
	* src/verlihub.cpp 1.1:
		*** empty log message ***

	* src/cpcre.cpp 1.4:
		mysql reconnect - simple

2003-12-10  verliba
	* src/creglist.cpp 1.3:
	* src/cserverdc.cpp 1.8:
		sql optim

	* Makefile.am 1.2:
	* Makefile.in 1.3:
		new automake sources

	* Makefile 1.3:
	* Makefile 1.4:
	* Makefile.am 1.3:
	* Makefile.in 1.4:
	* aclocal.m4 1.3:
	* config.h.in 1.2:
	* configure 1.1:
	* libtool 1.2:
	* libtool 1.3:
	* src/Makefile.am 1.6:
	* src/Makefile.in 1.1:
	* src/cdcproto.cpp 1.12:
	* src/cdcproto.h 1.5:
	* src/cpcre.cpp 1.2:
	* src/cpcre.cpp 1.3:
	* src/cpcre.h 1.2:
	* src/cserverdc.cpp 1.9:
		*** empty log message ***

	* src/cdcproto.cpp 1.13:
		newer kick version support

	* src/cdcbanlist.cpp 1.3:
		mysql optimisations for select queries

2003-12-09  verliba
	* scripts/regnick 1.1:
	* scripts/setenv 1.1:
		New handy scripts for adding users

2003-12-08  verliba
	* src/cpcre.cpp 1.1:
	* src/cpcre.h 1.1:
		new class and rewriting for pcre usage

	* docs/verlihub.html 1.2:
		REGLIST reglist typo fix in the howto

	* src/cdcconf.cpp 1.5:
		the "loclahost" missspell fix

	* src/cserverdc.cpp 1.7:
		Str2Period fix static istream

	* scripts/runhub 1.2:
		change default location for config dir in the "runhub" bash
		script to homedir

	* src/casyncconn.cpp 1.10:
	* src/casyncconn.h 1.8:
	* src/casyncsocketserver.cpp 1.2:
	* src/casyncsocketserver.h 1.2:
	* src/cban.cpp 1.2:
	* src/cban.h 1.2:
	* src/cbanlist.cpp 1.2:
	* src/cbanlist.h 1.2:
	* src/cconndc.h 1.4:
	* src/cdcbanlist.h 1.3:
	* src/cdcconf.h 1.4:
	* src/cdcconsole.h 1.5:
	* src/cdcproto.h 1.4:
	* src/ckick.cpp 1.3:
	* src/ckick.h 1.3:
	* src/cmessagedc.cpp 1.3:
	* src/cmessagedc.h 1.3:
	* src/cpoller.cpp 1.2:
	* src/cpoller.h 1.2:
	* src/creglist.h 1.3:
	* src/creguserinfo.cpp 1.3:
	* src/creguserinfo.h 1.3:
	* src/cselector.cpp 1.2:
	* src/cselector.h 1.3:
	* src/cserverdc.h 1.4:
	* src/ctrigger.h 1.2:
	* src/ctriggers.cpp 1.2:
	* src/ctriggers.h 1.2:
		synchonisation with local files, before resuming programming

2003-10-01  verliba
	* INSTALL 1.2:
	* README 1.2:
		updating README and INSTALL files.

2003-09-29  verliba
	* src/Makefile.am 1.5:
	* src/cdcconsole.cpp 1.12:
	* src/cuser.cpp 1.5:
	* src/cuser.h 1.4:
		some bugfixes

	* src/cconfigitembase.cpp 1.2:
	* src/cconfigitembase.h 1.5:
		more fixes

	* src/cban.cpp 1.1:
	* src/cban.h 1.1:
	* src/cbanlist.cpp 1.1:
	* src/cbanlist.h 1.1:
		*** empty log message ***

	* src/cconfigitembase.h 1.4:
		fix the configfile laod string bug

2003-09-28  verliba
	* src/cconfigitembase.h 1.3:
		fix string bug

	* src/cmysql.h 1.1:
	* src/cquery.cpp 1.1:
	* src/cquery.h 1.1:
	* src/ctrigger.cpp 1.1:
	* src/ctrigger.h 1.1:
	* src/ctriggers.cpp 1.1:
	* src/ctriggers.h 1.1:
		dding new classes

	* src/Makefile.am 1.4:
	* src/cconfigbase.cpp 1.3:
	* src/cconfigbase.h 1.3:
	* src/cconfigfile.cpp 1.3:
	* src/cconfigfile.h 1.3:
	* src/cconfigitembase.h 1.2:
	* src/cconfmysql.cpp 1.2:
	* src/cconfmysql.h 1.2:
	* src/cconndc.cpp 1.2:
	* src/cconndc.h 1.3:
	* src/cdcbanlist.cpp 1.2:
	* src/cdcbanlist.h 1.2:
	* src/cdcbanrecord.cpp 1.2:
	* src/cdcbanrecord.h 1.2:
	* src/cdcconf.cpp 1.4:
	* src/cdcconf.h 1.3:
	* src/cdcconsole.cpp 1.10:
	* src/cdcconsole.h 1.4:
	* src/cdcproto.cpp 1.11:
	* src/cdcproto.h 1.3:
	* src/ckick.cpp 1.2:
	* src/ckick.h 1.2:
	* src/cmessagedc.cpp 1.2:
	* src/cmessagedc.h 1.2:
	* src/coperator.cpp 1.2:
	* src/coperator.h 1.2:
	* src/creglist.cpp 1.2:
	* src/creglist.h 1.2:
	* src/creguserinfo.cpp 1.2:
	* src/creguserinfo.h 1.2:
	* src/cserverdc.cpp 1.6:
	* src/cserverdc.h 1.3:
	* src/cuser.cpp 1.4:
	* src/cuser.h 1.3:
	* src/main.cpp 1.2:
		MySQL configuration rewrite
		new feature: user defined +triggers (file sending)

	* src/cmysql.cpp 1.1:
		add cmysql.cpp

	* src/cdcconsole.cpp 1.11:
		fix class error

2003-09-26  verliba
	* src/cdcconsole.cpp 1.9:
		correct rights  in !regnewuser

2003-09-25  verliba
	* src/cdcconsole.cpp 1.7:
		fix a broadcast bug

	* src/Makefile.am 1.3:
	* src/cconfigbase.cpp 1.2:
	* src/cconfigbase.h 1.2:
	* src/cconfigfile.cpp 1.2:
	* src/cconfigfile.h 1.2:
	* src/cconfigitembase.cpp 1.1:
	* src/cconfigitembase.h 1.1:
	* src/cdcconf.cpp 1.3:
	* src/cdcconsole.cpp 1.8:
	* src/cdcproto.cpp 1.10:
	* src/cinterpolexp.h 1.2:
	* src/cserverdc.cpp 1.5:
	* src/cuser.cpp 1.3:
	* src/tstringhashmap.cpp 1.1:
	* src/tstringhashmap.h 1.1:
		config rewrites, preparations for more rewrites

2003-09-24  verliba
	* Makefile 1.2:
	* Makefile.in 1.2:
	* aclocal.m4 1.2:
	* src/cinterpolexp.cpp 1.1:
	* src/cinterpolexp.h 1.1:
	* src/ctempfunctionbase.cpp 1.1:
	* src/ctempfunctionbase.h 1.1:
		New feature, new classes

	* src/cdcproto.cpp 1.8:
		fix right for kick/redir/drop/ban
		to take care of hierarchy and protection

	* src/cdcconsole.cpp 1.4:
	* src/cdcconsole.cpp 1.6:
	* src/cdcproto.cpp 1.9:
		fix typo

	* src/cdcconsole.h 1.3:
		new user console commands:
		!gag <nick> ...
		!ungag <nick> ...
		!hidekick <nick> ...
		!unhidekick <nick> ...
		!class <nick> [<class>=3]
		!protect <nick> [<from>=your_class-1]

	* src/cdcconsole.cpp 1.3:
		new user console commands:
		!gag <nick> ...
		!ungag <nick> ...
		!hidekick <nick> ...
		!unhidekick <nick> ...
		!class <nick> [<class>=3]
		!protect <nick> [<from>=your_class-1]
		
		and fix kick/drop right for hierarchy

	* src/casyncconn.cpp 1.8:
		hopefully the last attempt to make memory reduce instead of growing

	* Makefile.cvs 1.1:
		*** empty log message ***

	* TODO 1.2:
		modifs

	* src/casyncconn.h 1.6:
		next fix ;)

	* src/Makefile.am 1.2:
	* src/cconndc.h 1.2:
	* src/cdcconsole.cpp 1.2:
	* src/cdcconsole.h 1.2:
	* src/cdcproto.cpp 1.7:
	* src/cdcproto.h 1.2:
	* src/cserverdc.cpp 1.4:
	* src/cserverdc.h 1.2:
		new commads !userlimit - progressively changes the user limit (
		by dichotomy)

	* src/casyncconn.h 1.4:
		add function StrCutLeft (two of them)

	* src/casyncconn.h 1.7:
		one more

	* src/cdcconsole.cpp 1.5:
		fix syntax

	* src/casyncconn.cpp 1.9:
		another memory leak fix

	* src/casyncconn.h 1.5:
		fix

	* src/cuser.cpp 1.2:
	* src/cuser.h 1.2:
		add user protection

2003-09-21  verliba
	* src/cdcconf.cpp 1.2:
		new config variable max_extra_regs, default 50

	* src/cdcproto.cpp 1.6:
		allow registered user to enter full hub

	* src/cdcconf.h 1.2:
		new config variable max_extra_regs

2003-09-18  verliba
	* src/cselector.h 1.2:
		add TEMP_FAILURE_RETRY definition where it's missing

	* src/casyncconn.cpp 1.6:
		add MSG_NOSIGNAL where it's not defined

	* src/casyncconn.cpp 1.7:
		typo

	* src/cserverdc.cpp 1.3:
		pK fix

	* src/casyncconn.h 1.3:
		resize max send buffer back to 1MB (6000 users => 800kB
		userlist with infos ..)

	* src/casyncconn.cpp 1.5:
		add extra include needed in freebsd netinet/in.h

2003-09-17  verliba
	* AUTHORS 1.1.1.1:
	* COPYING 1.1.1.1:
	* INSTALL 1.1.1.1:
	* Makefile 1.1.1.1:
	* Makefile.am 1.1.1.1:
	* Makefile.in 1.1.1.1:
	* NEWS 1.1.1.1:
	* README 1.1.1.1:
	* TODO 1.1.1.1:
	* acconfig.h 1.1.1.1:
	* aclocal.m4 1.1.1.1:
	* config.guess 1.1.1.1:
	* config.h.in 1.1.1.1:
	* config.sub 1.1.1.1:
	* configure.in 1.1.1.1:
	* depcomp 1.1.1.1:
	* docs/.cvsignore 1.1.1.1:
	* docs/ascii 1.1.1.1:
	* docs/banlist.txt 1.1.1.1:
	* docs/features.html 1.1.1.1:
	* docs/help 1.1.1.1:
	* docs/help.sql 1.1.1.1:
	* docs/params.php 1.1.1.1:
	* docs/verlihub.html 1.1.1.1:
	* install-sh 1.1.1.1:
	* libtool 1.1.1.1:
	* ltconfig 1.1.1.1:
	* ltmain.sh 1.1.1.1:
	* missing 1.1.1.1:
	* mkinstalldirs 1.1.1.1:
	* scripts/create_database_0.9.3.sql 1.1.1.1:
	* scripts/create_tables_0.9.3.sql 1.1.1.1:
	* scripts/def_config/config 1.1.1.1:
	* scripts/def_config/faq 1.1.1.1:
	* scripts/def_config/help_op 1.1.1.1:
	* scripts/def_config/help_usr 1.1.1.1:
	* scripts/def_config/motd 1.1.1.1:
	* scripts/def_config/reglist 1.1.1.1:
	* scripts/install 1.1.1.1:
	* scripts/runhub 1.1.1.1:
	* src/Makefile.am 1.1.1.1:
	* src/cantiflood.cpp 1.1.1.1:
	* src/cantiflood.h 1.1.1.1:
	* src/casyncconn.cpp 1.1.1.1:
	* src/casyncconn.h 1.1.1.1:
	* src/casyncsocketserver.cpp 1.1.1.1:
	* src/casyncsocketserver.h 1.1.1.1:
	* src/cconfigbase.cpp 1.1.1.1:
	* src/cconfigbase.h 1.1.1.1:
	* src/cconfigfile.cpp 1.1.1.1:
	* src/cconfigfile.h 1.1.1.1:
	* src/cconfmysql.cpp 1.1.1.1:
	* src/cconfmysql.h 1.1.1.1:
	* src/cconndc.cpp 1.1.1.1:
	* src/cconndc.h 1.1.1.1:
	* src/cdcbanlist.cpp 1.1.1.1:
	* src/cdcbanlist.h 1.1.1.1:
	* src/cdcbanrecord.cpp 1.1.1.1:
	* src/cdcbanrecord.h 1.1.1.1:
	* src/cdcconf.cpp 1.1.1.1:
	* src/cdcconf.h 1.1.1.1:
	* src/cdcconsole.cpp 1.1.1.1:
	* src/cdcconsole.h 1.1.1.1:
	* src/cdcproto.cpp 1.1.1.1:
	* src/cdcproto.h 1.1.1.1:
	* src/cdctag.cpp 1.1.1.1:
	* src/cdctag.h 1.1.1.1:
	* src/cfreqlimiter.cpp 1.1.1.1:
	* src/cfreqlimiter.h 1.1.1.1:
	* src/ckick.cpp 1.1.1.1:
	* src/ckick.h 1.1.1.1:
	* src/cmeanfrequency.cpp 1.1.1.1:
	* src/cmeanfrequency.h 1.1.1.1:
	* src/cmessagedc.cpp 1.1.1.1:
	* src/cmessagedc.h 1.1.1.1:
	* src/cobj.cpp 1.1.1.1:
	* src/cobj.h 1.1.1.1:
	* src/coperator.cpp 1.1.1.1:
	* src/coperator.h 1.1.1.1:
	* src/cparser.cpp 1.1.1.1:
	* src/cparser.h 1.1.1.1:
	* src/cpoller.cpp 1.1.1.1:
	* src/cpoller.h 1.1.1.1:
	* src/cprotocommand.cpp 1.1.1.1:
	* src/cprotocommand.h 1.1.1.1:
	* src/creglist.cpp 1.1.1.1:
	* src/creglist.h 1.1.1.1:
	* src/creguserinfo.cpp 1.1.1.1:
	* src/creguserinfo.h 1.1.1.1:
	* src/cselector.cpp 1.1.1.1:
	* src/cselector.h 1.1.1.1:
	* src/cserverdc.cpp 1.1.1.1:
	* src/cserverdc.h 1.1.1.1:
	* src/ctime.cpp 1.1.1.1:
	* src/ctime.h 1.1.1.1:
	* src/ctimeout.cpp 1.1.1.1:
	* src/ctimeout.h 1.1.1.1:
	* src/cuser.cpp 1.1.1.1:
	* src/cuser.h 1.1.1.1:
	* src/main.cpp 1.1.1.1:
	* stamp-h 1.1.1.1:
	* stamp-h.in 1.1.1.1:
	* templates/cpp 1.1.1.1:
	* templates/h 1.1.1.1:
		

	* src/casyncconn.h 1.2:
		max buff size

	* src/casyncconn.cpp 1.2:
		fix the memory growing bug ... in BufSend

	* src/casyncconn.cpp 1.4:
		enable blocking

	* src/cdcproto.cpp 1.2:
		english kick feedback

	* src/cdcproto.cpp 1.3:
		turn off unfinished antiflood feature

	* src/cdcproto.cpp 1.4:
		possible bugfix of temp/perm bans by kick..

	* src/casyncconn.cpp 1.3:
		test to disable blocking of input

	* src/cserverdc.cpp 1.2:
		test to correct connection timeouts

	* src/cdcproto.cpp 1.5:
		disable the automatic ban for faking IP in connecttome

